Bug 251719

Summary: Plasma crash with NVIDIA 260.19.05
Product: [Plasma] plasma4 Reporter: jens
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED UPSTREAM    
Severity: crash CC: alvaro.aguilera, amazon, ametedinov, andrea, andreas.klafft, andy.reddy, areyoucrazyman, aseigo, axel.hoehle, b.m.kast, babylonv, bernardsobkowiak, bruno, christian.mahr.ulm, coolman9999, coppolajj, corneld_linux, davide_grasselli, deabrufree, dragonefelice, florentingarnier, Freiheits, fritz.potter, gaboo, gbaksa, gemelen, gepfing, gerrysw11, guedo.alexandre, Heinz.Rothenfusser, helder.meneses, helix2000, hwnemitz, hws, info.joth, ismailoff, jackbunce, jakub.holy, jeepnut, jens, johanp, jorge.adriano, jtrageser, juan.parra19, juergen.grove, jvgomezj, k.e.wagner, kaltduscher_99, kde, kde, keith.bryan, korossy, legioguyane, lorenezo, lx.user.xl, mail.zausa.giulio, martin, milde.markus, misbcl_munir, mitroshin, mityokm, mniasfreemag, n5xwb, nassos, newinferno, nglennglen, nick.craig.law, null, olaf, olegb, peters-kdebugs, phani00, r.andringa3, racoonist, remur, riggsusa, roger.luedecke, ron_k, ruben_rc, s.stolp, schrottmehl, sergiom99, shu, skellington, sndsfnd, solarisx, SpessartTheo, sshaiderlopez, stardragon88, steiwol, sven.burmeister, tasosdel, thomas.luebking, thosleaf, timon, trommelpeter, tugdual.h, umar420e, v.babosha, vgursky, vivek.ap, William.Herry.China, wolfgang.kneis, workingwriter
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: openSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Sentry Crash Report:
Bug Depends on:    
Bug Blocks: 266322    
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
log for "valgrind -v amarok"
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description jens 2010-09-19 12:46:15 UTC
Application: plasma-desktop (0.3)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.2-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
After upgrading nvidia driver from 256.53 to 269.19.06 (beta version) I this crash every time.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma-Arbeitsfläche (kdeinit4), signal: Floating point exception
[Current thread is 1 (Thread 0xb5910710 (LWP 13150))]

Thread 2 (Thread 0xa95deb70 (LWP 13152)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb6c7f452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6cf569c in wait (this=0x8470da4, mutex=0x8470da0, time=30000) at thread/qwaitcondition_unix.cpp:85
#3  QWaitCondition::wait (this=0x8470da4, mutex=0x8470da0, time=30000) at thread/qwaitcondition_unix.cpp:159
#4  0xb6ceacc4 in QThreadPoolThread::run (this=0x831cb70) at concurrent/qthreadpool.cpp:140
#5  0xb6cf504f in QThreadPrivate::start (arg=0x831cb70) at thread/qthread_unix.cpp:248
#6  0xb3599ba8 in ?? () from /usr/lib/libGL.so.1

Thread 1 (Thread 0xb5910710 (LWP 13150)):
[KCrash Handler]
#7  0xb76f710a in enter.8103 () from /lib/ld-linux.so.2
#8  0xb76f7771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb76f7b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb76f945b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb770082e in dl_open_worker () from /lib/ld-linux.so.2
#12 0xb76fc50f in _dl_catch_error () from /lib/ld-linux.so.2
#13 0xb77002e6 in _dl_open () from /lib/ld-linux.so.2
#14 0xb5d9bbdd in dlopen_doit () from /lib/libdl.so.2
#15 0xb76fc50f in _dl_catch_error () from /lib/ld-linux.so.2
#16 0xb5d9c342 in _dlerror_run () from /lib/libdl.so.2
#17 0xb5d9bca7 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
#18 0xb6ddf469 in QLibraryPrivate::load_sys (this=0x8388f98) at plugin/qlibrary_unix.cpp:205
#19 0xb6dd99c4 in QLibraryPrivate::load (this=0x8388f98) at plugin/qlibrary.cpp:484
#20 0xb6dd9aa8 in QLibraryPrivate::loadPlugin (this=0x8388f98) at plugin/qlibrary.cpp:516
#21 0xb6dd4223 in QPluginLoader::load (this=0xbf968aac) at plugin/qpluginloader.cpp:227
#22 0xb70858bf in KPluginLoader::load() () from /usr/lib/libkdecore.so.5
#23 0xb7085d85 in KPluginLoader::KPluginLoader(KService const&, KComponentData const&, QObject*) () from /usr/lib/libkdecore.so.5
#24 0xb4e03ada in Plasma::DataEngineManager::loadEngine (this=0x82e0f50, name=...) at /usr/src/debug/kdelibs-4.5.1/plasma/dataenginemanager.cpp:137
#25 0xb4e3a605 in Plasma::DataEngineConsumer::dataEngine (this=0x8306f98, name=...) at /usr/src/debug/kdelibs-4.5.1/plasma/private/dataengineconsumer.cpp:100
#26 0xb4dc18d7 in Plasma::Applet::dataEngine (this=0x829b990, name=...) at /usr/src/debug/kdelibs-4.5.1/plasma/applet.cpp:663
#27 0xa97a7c12 in ClockApplet::init() () from /usr/lib/libplasmaclock.so.4
#28 0xa97e7a3e in ?? () from /usr/lib/kde4/plasma_applet_dig_clock.so
#29 0xb4de4eef in Plasma::ContainmentPrivate::initApplets (this=0x829b600) at /usr/src/debug/kdelibs-4.5.1/plasma/containment.cpp:474
#30 0xb4dfab8d in Plasma::CoronaPrivate::importLayout (this=0x818baa8, conf=..., mergeConfig=false) at /usr/src/debug/kdelibs-4.5.1/plasma/corona.cpp:515
#31 0xb4dfbef1 in Plasma::Corona::loadLayout (this=0x8149578, configName=...) at /usr/src/debug/kdelibs-4.5.1/plasma/corona.cpp:452
#32 0xb4dfbff4 in Plasma::Corona::initializeLayout (this=0x8149578, configName=...) at /usr/src/debug/kdelibs-4.5.1/plasma/corona.cpp:355
#33 0xb1621d42 in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#34 0xb162284e in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#35 0xb162bad9 in ?? () from /usr/lib/libkdeinit4_plasma-desktop.so
#36 0xb6df4efd in QMetaObject::metacall (object=0x80d8e78, cl=QMetaObject::InvokeMetaMethod, idx=42, argv=0xbf9692dc) at kernel/qmetaobject.cpp:237
#37 0xb6e03fe8 in QMetaObject::activate (sender=0x8197b00, m=0xb6f0a188, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3295
#38 0xb6e099d5 in QSingleShotTimer::timeout (this=0x8197b00) at .moc/release-shared/qtimer.moc:82
#39 0xb6e09a8c in QSingleShotTimer::timerEvent (this=0x8197b00) at kernel/qtimer.cpp:308
#40 0xb6e01774 in QObject::event (this=0x8197b00, e=0xbf969810) at kernel/qobject.cpp:1212
#41 0xb6327c64 in QApplicationPrivate::notify_helper (this=0x80ded68, receiver=0x8197b00, e=0xbf969810) at kernel/qapplication.cpp:4302
#42 0xb632fbf7 in QApplication::notify (this=0x80d8e78, receiver=0x8197b00, e=0xbf969810) at kernel/qapplication.cpp:3706
#43 0xb740d361 in KApplication::notify (this=0x80d8e78, receiver=0x8197b00, event=0xbf969810) at /usr/src/debug/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#44 0xb6deee0e in QCoreApplication::notifyInternal (this=0x80d8e78, receiver=0x8197b00, event=0xbf969810) at kernel/qcoreapplication.cpp:726
#45 0xb6e1d70e in sendEvent (this=0x80e3734) at kernel/qcoreapplication.h:215
#46 QTimerInfoList::activateTimers (this=0x80e3734) at kernel/qeventdispatcher_unix.cpp:618
#47 0xb6e1a642 in timerSourceDispatch (source=0x80e3700) at kernel/qeventdispatcher_glib.cpp:184
#48 0xb5b6eb49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb5b6f350 in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb5b6f60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb6e1ad4b in QEventDispatcherGlib::processEvents (this=0x80de518, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#52 0xb63d819a in QGuiEventDispatcherGlib::processEvents (this=0x80de518, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0xb6dee11d in QEventLoop::processEvents (this=0xbf969ad4, flags=...) at kernel/qeventloop.cpp:149
#54 0xb6dee319 in QEventLoop::exec (this=0xbf969ad4, flags=...) at kernel/qeventloop.cpp:201
#55 0xb6df2c70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#56 0xb6325164 in QApplication::exec () at kernel/qapplication.cpp:3581
#57 0xb16160dd in kdemain () from /usr/lib/libkdeinit4_plasma-desktop.so
#58 0x0804e3f1 in _start ()

Reported using DrKonqi
Comment 1 Aaron J. Seigo 2010-09-20 22:08:01 UTC
it's crashing when the clock applet tries to get the time DataEngine. this is crashing somewhere in the library loading code in glibc. try downgrading your video driver. i don't think this is something we can do anything about in plasma, however.
Comment 2 Beat Wolf 2010-10-23 12:17:29 UTC
*** Bug 254997 has been marked as a duplicate of this bug. ***
Comment 3 Beat Wolf 2010-10-24 10:34:17 UTC
*** Bug 255062 has been marked as a duplicate of this bug. ***
Comment 4 Pino Toscano 2010-10-24 11:52:29 UTC
*** Bug 255090 has been marked as a duplicate of this bug. ***
Comment 5 Gael Beaudoin 2010-10-24 22:46:29 UTC
See this post that helps : http://forums.opensuse.org/english/get-help-here/applications/448653-nvidia-260-19-issues-4.html#post2242800

Removing the clock applet as a workaround works.
Comment 6 Olaf Schmidt-Wischhöfer 2010-10-25 10:18:20 UTC
Removing the clock applet might have worked for some people, but two Bug 254997 and Bug 255006, which are marked as (indirect) duplicates of this bug, are not clock related. I could be that they were misidentified as duplicates. It could also be all of these bugs are caused by the a (yet unidentified) error that is only in some cases connected to the clock applet.
Comment 7 Christoph Feck 2010-10-25 19:08:42 UTC
*** Bug 255221 has been marked as a duplicate of this bug. ***
Comment 8 Christoph Feck 2010-10-25 19:09:08 UTC
*** Bug 255203 has been marked as a duplicate of this bug. ***
Comment 9 andy.reddy 2010-10-25 19:46:29 UTC
Created attachment 52861 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

Updating the NVIDIA driver in openSUSE 11.3 KDE 4.5.2

-- Backtrace (Reduced):
#7  0xb771010a in enter.8103 () from /lib/ld-linux.so.2
#8  0xb7710771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb7710b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb771245b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb771982e in dl_open_worker () from /lib/ld-linux.so.2
Comment 10 Christoph Feck 2010-10-25 20:30:28 UTC
*** Bug 253055 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Feck 2010-10-25 20:30:54 UTC
*** Bug 255249 has been marked as a duplicate of this bug. ***
Comment 12 Umar Ahmed 2010-10-26 16:58:26 UTC
Created attachment 52884 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) using Qt 4.7.0

- What I was doing when the application crashed:
  I updated my nvidia graphic driver to 260.19.12

- Unusual behavior I noticed:
  kde crashes everytime when i start it

-- Backtrace (Reduced):
#7  enter (table=0x8b5ba70, size=0, hash=2714114297, name=0xb60ff21a "_ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE", sym=0xb60f11fc, map=0xb6ca6550) at dl-lookup.c:318
#8  0xb7744771 in do_lookup_x (new_hash=1365446393, old_hash=0xbf8d0748, ref=0xa7f8d078, result=0xbf8d073c, scope=0x8b77824, i=<value optimized out>, flags=1, skip=0x0, undef_map=0x8b60688)
    at dl-lookup.c:400
#9  0xb7744b49 in _dl_lookup_symbol_x (undef_name=0xa7f8e649 "_ZZN11QMetaTypeIdI5QListIN7Akonadi19NotificationMessageEEE14qt_metatype_idEvE11metatype_id", undef_map=0x8b60688, ref=0xbf8d07e8, 
    symbol_scope=0x8b60840, version=0x0, type_class=0, flags=1, skip_map=0x0) at dl-lookup.c:736
#10 0xb774645b in elf_machine_rel (scope=0x8b60840, reloc_mode=0, consider_profiling=0) at ../sysdeps/i386/dl-machine.h:344
#11 elf_dynamic_do_rel (scope=0x8b60840, reloc_mode=0, consider_profiling=0) at do-rel.h:120
Comment 13 Myriam Schweingruber 2010-10-28 09:58:49 UTC
*** Bug 255479 has been marked as a duplicate of this bug. ***
Comment 14 Beat Wolf 2010-10-28 10:36:01 UTC
*** Bug 255429 has been marked as a duplicate of this bug. ***
Comment 15 Myriam Schweingruber 2010-10-28 13:03:03 UTC
*** Bug 255490 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2010-10-30 14:13:45 UTC
*** Bug 255639 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2010-10-30 14:13:59 UTC
*** Bug 255626 has been marked as a duplicate of this bug. ***
Comment 18 Bruno Friedmann 2010-10-30 20:42:23 UTC
Actually the lastest stable nvidia version is 260.19.12 
People having trouble can test it ? 

Everything is working fine here with opensuse factory (next 11.4)
kernel 2.6.36-rc8
kde 4.5.2
qt4.7
glibc  2.11.2-6.3
nvidia 260.19.12 from the .run installer.

64bits
Comment 19 Gael Beaudoin 2010-10-30 21:56:40 UTC
It's crashing with version 260.19.12, both with plasma and a clock and amarok, runnign openSUSE 11.3.
Comment 20 Yakov 2010-10-31 08:40:57 UTC
Created attachment 53009 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.2 (KDE 4.5.2) "release 10" using Qt 4.6.3

- What I was doing when the application crashed:

- Unusual behavior I noticed:

I updated nvidia driver to latest version. After that I can/t login into KDE.

-- Backtrace (Reduced):
#7  0xb781710a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb7817771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb7817b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb781945b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb7820823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 21 Pino Toscano 2010-10-31 09:39:05 UTC
*** Bug 255238 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2010-10-31 21:44:46 UTC
*** Bug 255762 has been marked as a duplicate of this bug. ***
Comment 23 Myriam Schweingruber 2010-10-31 22:12:19 UTC
*** Bug 255769 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2010-11-03 11:01:28 UTC
*** Bug 255905 has been marked as a duplicate of this bug. ***
Comment 25 Drake 2010-11-03 22:46:38 UTC
Created attachment 53109 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

Kde crash on startup whit Nvidia driver

-- Backtrace (Reduced):
#7  0xb77b910a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb77b9771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb77b9b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb77bb45b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb77c2823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 26 glen herron 2010-11-06 10:43:10 UTC
Created attachment 53184 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

using opensuse 11.3 kde4.5.3 using the nvidia-linux-x86-260.19.12.run driver
kde plasma crashes every time

-- Backtrace (Reduced):
#7  0xb77cc10a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb77cc771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb77ccb49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb77ce45b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb77d5823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 27 Christoph Feck 2010-11-08 01:29:21 UTC
*** Bug 256271 has been marked as a duplicate of this bug. ***
Comment 28 Helder Meneses 2010-11-08 13:39:28 UTC
Hi there...

I have this problem with opensuse 11.3 KDE 4.5.3 and nvidia 7600GS go

this problem is in KDE 4.5.2 also...

Why is this bug marked as resolved in status? the bug is real and is a big one...after update i can no longer use computer...

ok...i can edit files in plasma to remove clock or something else...but i have to be an advanced user to do that...

Using kde 4.4 and waiting for things to change...
Comment 29 Pino Toscano 2010-11-09 23:23:04 UTC
*** Bug 256446 has been marked as a duplicate of this bug. ***
Comment 30 Helder Meneses 2010-11-11 14:55:41 UTC
HI there,

i noticed that nvidia have an update to driver 260.19.21 with the release highlights:

    * Fixed a race condition in OpenGL that could cause crashes with multithreaded applications.
    * Fixed a bug that may cause OpenGL applications which fork to crash.
    * Fixed a bug in VDPAU that caused it to attempt allocation of huge blocks of system memory. This regression was introduced in the 260.* driver series.


does this fix the crash?
Comment 31 glen herron 2010-11-11 17:44:09 UTC
Created attachment 53326 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.0

- What I was doing when the application crashed:

i installed the latest nvidia driver nvidia-linux-x86-260.19.21.run usinf kde4.5.3
then logged in to user account

-- Backtrace (Reduced):
#7  0xb780310a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb7803771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb7803b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb780545b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb780c823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 32 glen herron 2010-11-11 17:54:05 UTC
-----Original Message-----
From: Helder Meneses <helder.meneses@gmail.com>
To: nglennglen@netscape.net
Sent: Thu, Nov 11, 2010 1:55 pm
Subject: [Bug 251719] Plasma crash with NVIDIA 260.19.05


https://bugs.kde.org/show_bug.cgi?id=251719





--- Comment #30 from Helder Meneses <helder meneses gmail com>  2010-11-11 
14:55:41 ---
HI there,

i noticed that nvidia have an update to driver 260.19.21 with the release
highlights:

    * Fixed a race condition in OpenGL that could cause crashes with
multithreaded applications.
    * Fixed a bug that may cause OpenGL applications which fork to crash.
    * Fixed a bug in VDPAU that caused it to attempt allocation of huge blocks
of system memory. This regression was introduced in the 260.* driver series.


does this fix the crash?
Comment 33 Kalt Duscher 2010-11-11 19:14:23 UTC
Hi fellows,

I tried the newly released driver 260.19.21 - it's still crashing Plasma :-(

openSUSE 11.3

uname -a
2.6.34.7-0.5-desktop #1 SMP PREEMPT 2010-10-25 08:40:12 +0200 i686 i686 i386 GNU/Linux

KDE 4.5.3 "release 8" kdelibs4-4.5.3-8.2.i586

Qt 4.6.3 libqt4-4.6.3-8.1.i586
Comment 34 Bruno Friedmann 2010-11-11 21:36:46 UTC
Report of working (also the previous didn't crash the system) 
nvidia 260.19.21
opensuse factory 11.4 full upgrade today
kernel 2.6.36-18-desktop #1 SMP PREEMPT 2010-10-26 21:31:22 +0200 x86_64 x86_64 x86_64 GNU/Linux
kde from kde factory  : kdelibs4-4.5.3-315.2.x86_64 libkde4-4.5.3-315.2.x86_64
qt coming from kde factory : libqt4-4.7.0-1.4.x86_64
Comment 35 Christoph Feck 2010-11-12 19:03:17 UTC
*** Bug 256729 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2010-11-13 15:07:49 UTC
*** Bug 256786 has been marked as a duplicate of this bug. ***
Comment 37 Kalt Duscher 2010-11-13 18:25:16 UTC
(In reply to comment #33)
> Hi fellows,
> 
> I tried the newly released driver 260.19.21 - it's still crashing Plasma :-(
> 
> openSUSE 11.3
> 
> KDE 4.5.3 "release 8" kdelibs4-4.5.3-8.2.i586
> 
> Qt 4.6.3 libqt4-4.6.3-8.1.i586

This time I tried the HEAD kernel-desktop-2.6.36-92.1.i586.rpm from http://download.opensuse.org/repositories/Kernel:/HEAD/openSUSE_11.3/noarch/

It is still crashing plasma on start up. Why is this bug marked as RESOLVED? So far I did not see a single report on working KDE 4.5.3 on 32 bit openSUSE 11.3. Any patch on its way for KDE 4.5.4 ?
Comment 38 Myriam Schweingruber 2010-11-16 10:12:09 UTC
*** Bug 256596 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2010-11-16 22:23:16 UTC
*** Bug 256917 has been marked as a duplicate of this bug. ***
Comment 40 Myriam Schweingruber 2010-11-16 22:36:51 UTC
*** Bug 256996 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2010-11-16 22:38:59 UTC
*** Bug 257024 has been marked as a duplicate of this bug. ***
Comment 42 jens 2010-11-19 11:49:40 UTC
Created attachment 53540 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.1

The Bug is not solved in Version *.21. Pleas reopen.

-- Backtrace (Reduced):
#7  0xb776110a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb7761771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb7761b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb776345b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb776a823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 43 Dario Andres 2010-11-20 16:11:19 UTC
*** Bug 257409 has been marked as a duplicate of this bug. ***
Comment 44 mabrand 2010-11-20 17:35:10 UTC
Switching to nouveau driver solved the problem for me on 32-bit Suse 11.3.
Comment 45 Myriam Schweingruber 2010-11-22 11:16:36 UTC
*** Bug 257333 has been marked as a duplicate of this bug. ***
Comment 46 Myriam Schweingruber 2010-11-22 19:14:36 UTC
*** Bug 257613 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2010-11-24 02:30:42 UTC
*** Bug 257644 has been marked as a duplicate of this bug. ***
Comment 48 S. Burmeister 2010-11-24 14:47:48 UTC
(In reply to comment #37)
> It is still crashing plasma on start up. Why is this bug marked as RESOLVED? So
> far I did not see a single report on working KDE 4.5.3 on 32 bit openSUSE 11.3.
> Any patch on its way for KDE 4.5.4 ?

It is marked as resolved because according to the devs the bug is not in plasma, but  upstream, i.e. either nvidia or the kernel etc.

Are you sure this is 32 bit related?

I have a nvidia 7600 and use KDE 4.5.3 on openSUSE 11.3 and everything is working fine. x64 though.

rpm -qa | grep nvidia
x11-video-nvidiaG02-260.19.21-20.1.x86_64
nvidia-gfxG02-kmp-desktop-260.19.21_k2.6.34.0_12-19.1.x86_64
Comment 49 Gerry Gavigan 2010-11-29 00:40:00 UTC
I installed latest (opensuse repository) nvidia driver on two machines

one is an AMD Athlon, 2200XP, nvidia 7600, ran 4.5.3 is running 4.5.80 without problems

other Intel (something) with 6200,

today I upgraded it to latest opensuse 11.2 updates in prep for an 11.3 upgrade, it successfully upgraded to 4.5.80

after upgrading to opensuse 11.3 both 4.5.80 and 4.5.3 cause a plasma kdeinit4 floating point exception 

4.4.4 works perfectly
Comment 50 Myriam Schweingruber 2010-11-30 19:08:22 UTC
*** Bug 258302 has been marked as a duplicate of this bug. ***
Comment 51 Christoph Feck 2010-12-02 22:19:39 UTC
*** Bug 256536 has been marked as a duplicate of this bug. ***
Comment 52 Christoph Feck 2010-12-02 22:20:00 UTC
*** Bug 257981 has been marked as a duplicate of this bug. ***
Comment 53 christian.mahr.ulm 2010-12-08 12:24:58 UTC
Created attachment 54294 [details]
New crash information added by DrKonqi

just started amarok, then it crashes with floating point exception
Note: when i manually start amarok with strace
"strace amarok"
no crash happens????
Comment 54 Mikko C. 2010-12-11 12:04:11 UTC
*** Bug 259478 has been marked as a duplicate of this bug. ***
Comment 55 Christoph Feck 2010-12-11 16:17:26 UTC
*** Bug 259527 has been marked as a duplicate of this bug. ***
Comment 56 Dario Andres 2010-12-11 17:42:12 UTC
*** Bug 259521 has been marked as a duplicate of this bug. ***
Comment 57 Jorge Adriano 2010-12-11 20:51:53 UTC
*** This bug has been confirmed by popular vote. ***
Comment 58 Jorge Adriano 2010-12-11 20:55:59 UTC
Same problem here. After updating to nvidia 260.19 plasma crashed on log in. Removing the clock from the configuration 'solved' the problem. I cannot add a backtrace, because when trying to add a clock now, plasma crashes and restarts without showing a crash dialog.

GeForce 8600M GT
NVIDIA: 260.19

OpenSUSE: 11.3
KDE: 4.5.4

NOTE: KDE 4.6 Beta 2 also crashes (tried it before removing the clock).
 

Rpms:
x11-video-nvidiaG02-260.19.21-20.1.i586
nvidia-gfxG02-kmp-desktop-260.19.21_k2.6.34.0_12-19.1.i586
Comment 59 Jorge Adriano 2010-12-11 20:58:11 UTC
> NVIDIA: 260.19

NVIDIA 260.19.21 
to be more precise
Comment 60 Myriam Schweingruber 2010-12-12 13:10:04 UTC
*** Bug 259588 has been marked as a duplicate of this bug. ***
Comment 61 Jorge Adriano 2010-12-12 18:18:13 UTC
I understand this is nvidia's responsability. 

That said, IMO it would be quite important to have at least the default settings for KDE 4.6 not crashing on log in. This would mean hacking the digital clock to work with the current drivers.
Comment 62 Dario Andres 2010-12-12 18:22:11 UTC
*** Bug 259625 has been marked as a duplicate of this bug. ***
Comment 63 Myriam Schweingruber 2010-12-12 22:08:45 UTC
*** Bug 259610 has been marked as a duplicate of this bug. ***
Comment 64 Bruno Friedmann 2010-12-12 22:24:33 UTC
To answer coment#61 Jorge

I'm using nvidia 260.19 ( from 04 to 21 now) and have never get a crash !
I'm using the digital clock, but only inside the taskbar. I never put it in the dashboard.

Actually I'm running the lastest openSUSE package 4.6b2 under the factory distro (next 11.4)

So it's certainly nvidia, but I'm pretty sure, it's also a bit of kde somewhere :)

If people hurt by this bug can start to tell if the digital clock plasmoid was setup on their dash board or inside a taskbar. and also specify when they can their exact graphic card chipset with /sbin/lspci -v perhaps a clue would appear about a certain combination of hardware and setup ? 

Here mine which never crash 

01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro FX 360M] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 01ff
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at ef00 [size=128]
        [virtual] Expansion ROM at f6ee0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Kernel driver in use: nvidia
Comment 65 workingwriter 2010-12-12 22:30:17 UTC
Created attachment 54473 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.4 (KDE 4.5.4) "release 9" using Qt 4.6.3

While I understand that folks on the KDE side feel this crash is not their fault, I don't quite understand why. Can someone suggest what the problem with the driver is, so users can badger NVIDIA about it?

-- Backtrace (Reduced):
#7  0xb784d10a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb784d771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb784db49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb784f45b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb7856823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 66 Jorge Adriano 2010-12-12 22:34:59 UTC
Hello Bruno, 

My digital clock is always in the taskbar. I've seen it happen to other nvidia users who also keep the default setting. Below is the info regarding my nvidia graphics card. And the previous info I posted just to have it all in one place: 

opensuse 11.3 
KDE 4.5.4 (4.6 beta2 also crashes). 
NVIDIA: 260.19.21
GeForce 8600M GT

01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Dell Device 022e
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at ef00 [size=128]
        [virtual] Expansion ROM at f4000000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: nvidia

(In reply to comment #64)
> To answer coment#61 Jorge
> 
> I'm using nvidia 260.19 ( from 04 to 21 now) and have never get a crash !
> I'm using the digital clock, but only inside the taskbar. I never put it in the
> dashboard.
> 
> Actually I'm running the lastest openSUSE package 4.6b2 under the factory
> distro (next 11.4)
> 
> So it's certainly nvidia, but I'm pretty sure, it's also a bit of kde somewhere
> :)
> 
> If people hurt by this bug can start to tell if the digital clock plasmoid was
> setup on their dash board or inside a taskbar. and also specify when they can
> their exact graphic card chipset with /sbin/lspci -v perhaps a clue would
> appear about a certain combination of hardware and setup ? 
> 
> Here mine which never crash 
> 
> 01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro FX 360M]
> (rev a1) (prog-if 00 [VGA controller])
>         Subsystem: Dell Device 01ff
>         Flags: bus master, fast devsel, latency 0, IRQ 16
>         Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
>         Memory at e0000000 (64-bit, prefetchable) [size=256M]
>         Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
>         I/O ports at ef00 [size=128]
>         [virtual] Expansion ROM at f6ee0000 [disabled] [size=128K]
>         Capabilities: [60] Power Management version 2
>         Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
>         Capabilities: [78] Express Endpoint, MSI 00
>         Capabilities: [100] Virtual Channel
>         Capabilities: [128] Power Budgeting <?>
>         Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024
> <?>
>         Kernel driver in use: nvidia
Comment 67 workingwriter 2010-12-12 23:29:51 UTC
I've also never had a digital clock outside the taskbar.

Also for the record, I have a GeForce 7300; otherwise same config as Jorge.

Hope this gets fixed --by someone-- in a reasonable amount of time, before openSUSE 11.4 goes final.

(In reply to comment #66)
> Hello Bruno, 
> 
> My digital clock is always in the taskbar. I've seen it happen to other nvidia
> users who also keep the default setting. Below is the info regarding my nvidia
> graphics card. And the previous info I posted just to have it all in one place: 
> 
> opensuse 11.3 
> KDE 4.5.4 (4.6 beta2 also crashes). 
> NVIDIA: 260.19.21
> GeForce 8600M GT
> 
> 01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT]
> (rev a1) (prog-if 00 [VGA controller])
>         Subsystem: Dell Device 022e
>         Flags: bus master, fast devsel, latency 0, IRQ 16
>         Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
>         Memory at e0000000 (64-bit, prefetchable) [size=256M]
>         Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
>         I/O ports at ef00 [size=128]
>         [virtual] Expansion ROM at f4000000 [disabled] [size=128K]
>         Capabilities: <access denied>
>         Kernel driver in use: nvidia
> 
> (In reply to comment #64)
> > To answer coment#61 Jorge
> > 
> > I'm using nvidia 260.19 ( from 04 to 21 now) and have never get a crash !
> > I'm using the digital clock, but only inside the taskbar. I never put it in the
> > dashboard.
> > 
> > Actually I'm running the lastest openSUSE package 4.6b2 under the factory
> > distro (next 11.4)
> > 
> > So it's certainly nvidia, but I'm pretty sure, it's also a bit of kde somewhere
> > :)
> > 
> > If people hurt by this bug can start to tell if the digital clock plasmoid was
> > setup on their dash board or inside a taskbar. and also specify when they can
> > their exact graphic card chipset with /sbin/lspci -v perhaps a clue would
> > appear about a certain combination of hardware and setup ? 
> > 
> > Here mine which never crash 
> > 
> > 01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro FX 360M]
> > (rev a1) (prog-if 00 [VGA controller])
> >         Subsystem: Dell Device 01ff
> >         Flags: bus master, fast devsel, latency 0, IRQ 16
> >         Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
> >         Memory at e0000000 (64-bit, prefetchable) [size=256M]
> >         Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
> >         I/O ports at ef00 [size=128]
> >         [virtual] Expansion ROM at f6ee0000 [disabled] [size=128K]
> >         Capabilities: [60] Power Management version 2
> >         Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
> >         Capabilities: [78] Express Endpoint, MSI 00
> >         Capabilities: [100] Virtual Channel
> >         Capabilities: [128] Power Budgeting <?>
> >         Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024
> > <?>
> >         Kernel driver in use: nvidia
Comment 68 glen herron 2010-12-13 18:33:29 UTC
 Just to let you know i had this problem for a while i done an upgrade from opensuse 11.2 that used sax2 to 
opensuse 11.3 that does not ues sax2. cooliris would not work also. To get round the problem i used the nvidia driver

NVIDIA-Linux-x86-256.53.run all worked but still no cooliris.


so i decided to do a fresh install of opensuse 11.3 guess what the problem has gone and cooliris now works.
and now i use the opensuse propriatry driver nvidia-gfxG02-kmp-default-260.19.21_2.6.31.5_0.1-19.1.i586.rpm

 

 

-----Original Message-----
From: workingwriter@prodigy.net
To: nglennglen@netscape.net
Sent: Sun, Dec 12, 2010 10:29 pm
Subject: [Bug 251719] Plasma crash with NVIDIA 260.19.05


https://bugs.kde.org/show_bug.cgi?id=251719





--- Comment #67 from  <workingwriter prodigy net>  2010-12-12 23:29:51 ---
I've also never had a digital clock outside the taskbar.

Also for the record, I have a GeForce 7300; otherwise same config as Jorge.

Hope this gets fixed --by someone-- in a reasonable amount of time, before
openSUSE 11.4 goes final.

(In reply to comment #66)
> Hello Bruno, 
> 
> My digital clock is always in the taskbar. I've seen it happen to other nvidia
> users who also keep the default setting. Below is the info regarding my nvidia
> graphics card. And the previous info I posted just to have it all in one 
place: 
> 
> opensuse 11.3 
> KDE 4.5.4 (4.6 beta2 also crashes). 
> NVIDIA: 260.19.21
> GeForce 8600M GT
> 
> 01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT]
> (rev a1) (prog-if 00 [VGA controller])
>         Subsystem: Dell Device 022e
>         Flags: bus master, fast devsel, latency 0, IRQ 16
>         Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
>         Memory at e0000000 (64-bit, prefetchable) [size=256M]
>         Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
>         I/O ports at ef00 [size=128]
>         [virtual] Expansion ROM at f4000000 [disabled] [size=128K]
>         Capabilities: <access denied>
>         Kernel driver in use: nvidia
> 
> (In reply to comment #64)
> > To answer coment#61 Jorge
> > 
> > I'm using nvidia 260.19 ( from 04 to 21 now) and have never get a crash !
> > I'm using the digital clock, but only inside the taskbar. I never put it in 
the
> > dashboard.
> > 
> > Actually I'm running the lastest openSUSE package 4.6b2 under the factory
> > distro (next 11.4)
> > 
> > So it's certainly nvidia, but I'm pretty sure, it's also a bit of kde 
somewhere
> > :)
> > 
> > If people hurt by this bug can start to tell if the digital clock plasmoid 
was
> > setup on their dash board or inside a taskbar. and also specify when they 
can
> > their exact graphic card chipset with /sbin/lspci -v perhaps a clue would
> > appear about a certain combination of hardware and setup ? 
> > 
> > Here mine which never crash 
> > 
> > 01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro FX 360M]
> > (rev a1) (prog-if 00 [VGA controller])
> >         Subsystem: Dell Device 01ff
> >         Flags: bus master, fast devsel, latency 0, IRQ 16
> >         Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
> >         Memory at e0000000 (64-bit, prefetchable) [size=256M]
> >         Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
> >         I/O ports at ef00 [size=128]
> >         [virtual] Expansion ROM at f6ee0000 [disabled] [size=128K]
> >         Capabilities: [60] Power Management version 2
> >         Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
> >         Capabilities: [78] Express Endpoint, MSI 00
> >         Capabilities: [100] Virtual Channel
> >         Capabilities: [128] Power Budgeting <?>
> >         Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 
Len=024
> > <?>
> >         Kernel driver in use: nvidia
Comment 69 Jorge Adriano 2010-12-13 20:52:17 UTC
Ktorrent is also crashing since I updated the drivers. Others have commented on Amarok (which also crashes here) but I've seen no other mention of Ktorrent. Could anybody else confirm if Ktorrent is also crashing?
Comment 70 Jorge Adriano 2010-12-13 21:00:34 UTC
(In reply to comment #69)
> Ktorrent is also crashing since I updated the drivers. Others have commented on
> Amarok (which also crashes here) but I've seen no other mention of Ktorrent.
> Could anybody else confirm if Ktorrent is also crashing?

Ktorrent Backtrace:
Application: KTorrent (ktorrent), signal: Floating point exception
[KCrash Handler]
#7  0xb77c110a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb77c1771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb77c1b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb77c345b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb77ca823 in dl_open_worker () from /lib/ld-linux.so.2
#12 0xb77c650f in _dl_catch_error () from /lib/ld-linux.so.2
#13 0xb77ca2e6 in _dl_open () from /lib/ld-linux.so.2
#14 0xb5185bdd in dlopen_doit () from /lib/libdl.so.2
#15 0xb77c650f in _dl_catch_error () from /lib/ld-linux.so.2
#16 0xb5186342 in _dlerror_run () from /lib/libdl.so.2
#17 0xb5185ca7 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
#18 0xb69d7469 in QLibraryPrivate::load_sys (this=0x8c4a878) at plugin/qlibrary_unix.cpp:205
#19 0xb69d19c4 in QLibraryPrivate::load (this=0x8c4a878) at plugin/qlibrary.cpp:484
#20 0xada722ee in loadLibrary (libname=0xada7f8fa "krosspython", functionname=0xada7f8e9 "krossinterpreter") at /usr/src/debug/kdelibs-4.5.4/kross/core/manager.cpp:89
#21 0xada76baf in Kross::Manager::Manager (this=0x8b50270) at /usr/src/debug/kdelibs-4.5.4/kross/core/manager.cpp:132
#22 0xada7843f in _self () at /usr/src/debug/kdelibs-4.5.4/kross/core/manager.cpp:71
#23 Kross::Manager::self () at /usr/src/debug/kdelibs-4.5.4/kross/core/manager.cpp:75
#24 0xadab688d in kt::ScriptingPlugin::load (this=0x8b4fe48) at /usr/src/debug/ktorrent-4.0.4/plugins/scripting/scriptingplugin.cpp:112
#25 0xb7613a33 in kt::PluginManager::load (this=0x8252a50, pi=..., idx=13) at /usr/src/debug/ktorrent-4.0.4/libktcore/plugin/pluginmanager.cpp:124
#26 0xb7614009 in kt::PluginManager::loadPlugins (this=0x8252a50) at /usr/src/debug/ktorrent-4.0.4/libktcore/plugin/pluginmanager.cpp:88
#27 0xb7614357 in kt::PluginManager::loadPluginList (this=0x8252a50) at /usr/src/debug/ktorrent-4.0.4/libktcore/plugin/pluginmanager.cpp:69
#28 0x08078dc6 in kt::GUI::GUI (this=0xb17004f8, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/ktorrent-4.0.4/ktorrent/gui.cpp:114
#29 0x0807a415 in kt::App::newInstance (this=0xa1c618f9) at /usr/src/debug/ktorrent-4.0.4/ktorrent/app.cpp:58
#30 0xb710f2f3 in KUniqueApplicationAdaptor::newInstance (this=0x823ce00, asn_id=..., args=...) at /usr/src/debug/kdelibs-4.5.4/kdeui/kernel/kuniqueapplication.cpp:440
#31 0xb710f3ac in KUniqueApplicationAdaptor::qt_metacall (this=0x823ce00, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbf982d4c)
    at /usr/src/debug/kdelibs-4.5.4/build/kdeui/kuniqueapplication_p.moc:81
#32 0xb55dca37 in QDBusConnectionPrivate::deliverCall (this=0x8135ee8, object=0x823ce00, msg=..., metaTypes=..., slotIdx=-1580852999) at qdbusintegrator.cpp:904
#33 0xb55debe7 in QDBusConnectionPrivate::activateCall (this=0x8135ee8, object=0x823ce00, flags=337, msg=...) at qdbusintegrator.cpp:809
#34 0xb55df378 in QDBusConnectionPrivate::activateObject (this=0x8135ee8, node=..., msg=..., pathStartPos=136598832) at qdbusintegrator.cpp:1383
#35 0xb55df878 in QDBusActivateObjectEvent::placeMetaCall (this=0x8245828) at qdbusintegrator.cpp:1477
#36 0xb69f993f in QObject::event (this=0xbf983750, e=0x8245828) at kernel/qobject.cpp:1248
#37 0xb69e73ea in QCoreApplication::event (this=0xbf983750, e=0x8245828) at kernel/qcoreapplication.cpp:1555
#38 0xb5f21578 in QApplication::event (this=0xbf983750, e=0x8245828) at kernel/qapplication.cpp:2355
#39 0xb5f1fc64 in QApplicationPrivate::notify_helper (this=0x813f090, receiver=0xbf983750, e=0x8245828) at kernel/qapplication.cpp:4302
#40 0xb5f27bf7 in QApplication::notify (this=0xbf983750, receiver=0xbf983750, e=0x8245828) at kernel/qapplication.cpp:3706
#41 0x0807a527 in kt::App::notify (this=0xbf983750, receiver=0xbf983750, event=0x8245828) at /usr/src/debug/ktorrent-4.0.4/ktorrent/app.cpp:97
#42 0xb69e6e0e in QCoreApplication::notifyInternal (this=0xbf983750, receiver=0xbf983750, event=0x8245828) at kernel/qcoreapplication.cpp:726
#43 0xb69ea9b4 in sendEvent (receiver=0x0, event_type=0, data=0x8117ce8) at kernel/qcoreapplication.h:215
#44 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8117ce8) at kernel/qcoreapplication.cpp:1367
#45 0xb69eab9c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1260
#46 0xb6a1283d in sendPostedEvents (s=0x8141510) at kernel/qcoreapplication.h:220
#47 postEventSourceDispatch (s=0x8141510) at kernel/qeventdispatcher_glib.cpp:276
#48 0xb50cdb49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb50ce350 in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb50ce60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb6a12d4b in QEventDispatcherGlib::processEvents (this=0x811b8e0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#52 0xb5fd019a in QGuiEventDispatcherGlib::processEvents (this=0x811b8e0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0xb69e611d in QEventLoop::processEvents (this=0xbf9836c4, flags=...) at kernel/qeventloop.cpp:149
#54 0xb69e6319 in QEventLoop::exec (this=0xbf9836c4, flags=...) at kernel/qeventloop.cpp:201
#55 0xb69eac70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#56 0xb5f1d164 in QApplication::exec () at kernel/qapplication.cpp:3581
#57 0x08069961 in main (argc=147115848, argv=0x0) at /usr/src/debug/ktorrent-4.0.4/ktorrent/main.cpp:176
Comment 71 Myriam Schweingruber 2010-12-15 23:45:43 UTC
*** Bug 259965 has been marked as a duplicate of this bug. ***
Comment 72 Heinz Rothenfußer 2010-12-17 00:26:38 UTC
Created attachment 54840 [details]
New crash information added by DrKonqi

amarok crashes, trying to get the mp3-update. But whether or not you want to do this (you don't need it, to listen to wav) it crashes though.
Comment 73 Myriam Schweingruber 2010-12-19 13:33:08 UTC
*** Bug 260396 has been marked as a duplicate of this bug. ***
Comment 74 Helder Meneses 2010-12-20 14:30:28 UTC
I can confirm that this bug only occurs in 32bits.

i have a laptop HP DV9285 with T5800, 2gb ram, and nvidia 7600 go 512 and if i install opensuse 11.3 32bits and update to kde 4.5.4 plasma desktop crash. If i install opensuse 11.3 x86_64, update to kde 4.5.4 everything works as expected. Using nvidia 260 from the repositories.
Comment 75 Christoph Feck 2010-12-23 01:40:20 UTC
*** Bug 260959 has been marked as a duplicate of this bug. ***
Comment 76 Jorge Adriano 2010-12-23 22:12:34 UTC
I think this bug is also affecting krunner in KDE 4.6 RC1. I reported it here: https://bugs.kde.org/show_bug.cgi?id=261065

Maybe it should be marked as duplicate, but I'll leave that up to someone who knows better than me.
Comment 77 Jorge Adriano 2010-12-23 22:39:57 UTC
(In reply to comment #69)
> Ktorrent is also crashing since I updated the drivers. Others have commented on
> Amarok (which also crashes here) but I've seen no other mention of Ktorrent.
> Could anybody else confirm if Ktorrent is also crashing?

Replying to myself, Ktorrent in KDE 4.6 RC1 seems to work again though. Same nvidia drivers.
Comment 78 WilliamHerry 2010-12-24 00:58:20 UTC
i installed older version nvdia drive, now it works fine

On Fri, Dec 24, 2010 at 5:12 AM, Jorge Adriano <jadrian@mat.uc.pt> wrote:

> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #76 from Jorge Adriano <jadrian mat uc pt>  2010-12-23 22:12:34
> ---
> I think this bug is also affecting krunner in KDE 4.6 RC1. I reported it
> here:
> https://bugs.kde.org/show_bug.cgi?id=261065
>
> Maybe it should be marked as duplicate, but I'll leave that up to someone
> who
> knows better than me.
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 79 Christoph Feck 2010-12-24 13:00:43 UTC
*** Bug 261129 has been marked as a duplicate of this bug. ***
Comment 80 Bruno Friedmann 2010-12-24 14:06:39 UTC
After a quick analysis of all crashes reports added. It seems to affect essentially openSUSE 11.3 i586 2.6.34 kernel with the nvidia associated rpm.

And whatever the kde version is there report from 4.4.4 to 4.6

I will try to ping kernel + nvidia maintainers on openSUSE to have a look here.

If anyone affected by one form of crash can try to use the nvidia-installer.run under it's 32bits opensuse system. and report back how it works ? 
the quick how-to is here http://en.opensuse.org/SDB:NVIDIA_the_hard_way 
(think to remove any rpm installed before)

With this test we will be able to confirm or infirm the build process of the nvidia rpms offered for openSUSE. And it's interaction with the 2.6.34 kernel.

What I can confirm, under 11.2 + normal nvidia rpm and kde 4.4.4 & kde 4.5x in 32bits no problems nor crash to report.

Under 64bits 11.3 or 11.4(factory) with kde 4.5 & kde 4.6 no crashes at all ( concerning nvidia... :-) )
Comment 81 Nassos Kourentas 2010-12-25 09:05:22 UTC
I can personally confirm that with the reported configuration:

openSUSE 11.3 i586 2.6.34 kernel (32bit) with the nvidia associated (260.19.*) rpm

KDE 4.6 beta 1, beta 2 and RC 1 crash big time...

Nassos


(In reply to comment #80)
> After a quick analysis of all crashes reports added. It seems to affect
> essentially openSUSE 11.3 i586 2.6.34 kernel with the nvidia associated rpm.
> 
> And whatever the kde version is there report from 4.4.4 to 4.6
> 
> I will try to ping kernel + nvidia maintainers on openSUSE to have a look here.
> 
> If anyone affected by one form of crash can try to use the nvidia-installer.run
> under it's 32bits opensuse system. and report back how it works ? 
> the quick how-to is here http://en.opensuse.org/SDB:NVIDIA_the_hard_way 
> (think to remove any rpm installed before)
> 
> With this test we will be able to confirm or infirm the build process of the
> nvidia rpms offered for openSUSE. And it's interaction with the 2.6.34 kernel.
> 
> What I can confirm, under 11.2 + normal nvidia rpm and kde 4.4.4 & kde 4.5x in
> 32bits no problems nor crash to report.
> 
> Under 64bits 11.3 or 11.4(factory) with kde 4.5 & kde 4.6 no crashes at all (
> concerning nvidia... :-) )
Comment 82 Kalt Duscher 2010-12-26 10:27:06 UTC
Please see my comments 33 and 37, I should have mentioned that I was referring to the "original" nvidia-installer.run, not the precompiled .rpm
The bug also affected HEAD kernel-desktop-2.6.36-92.1.i586.rpm from
http://download.opensuse.org/repositories/Kernel:/HEAD/openSUSE_11.3/noarch/

My guess so far:
affected systems are SuSE 11.3 32bit only. Switching to HEAD kernel did not help. Maybe it's neither the nvidia driver nor kde but a opensuse 11.3 32bit specific patch to glibc or similar low level lib?
Comment 83 Myriam Schweingruber 2011-01-04 15:37:56 UTC
*** Bug 261987 has been marked as a duplicate of this bug. ***
Comment 84 Juan 2011-01-04 16:15:12 UTC
Created attachment 55562 [details]
New crash information added by DrKonqi

When the problem occurred was doing a complete update repository Update Suse 11.3. After that amarok stopped working.
Comment 85 Juan 2011-01-04 16:15:12 UTC
Created attachment 55563 [details]
New crash information added by DrKonqi

When the problem occurred was doing a complete update repository Update Suse 11.3. After that amarok stopped working.
Comment 86 Juan 2011-01-04 16:15:12 UTC
Created attachment 55564 [details]
New crash information added by DrKonqi

When the problem occurred was doing a complete update repository Update Suse 11.3. After that amarok stopped working.
Comment 87 Bruno Friedmann 2011-01-04 16:54:35 UTC
Juan, after be sure to have updated all your needed packages, can you try to reinstall by force the nvidia drivers ? 

zypper in -f nvidia-gfxG02-kmp-desktop x11-video-nvidiaG02

Better to close your session ( logout ) and launch that with root account under console. Best to reboot after.

And report back here .
Thanks
Comment 88 Myriam Schweingruber 2011-01-05 02:29:08 UTC
*** Bug 262115 has been marked as a duplicate of this bug. ***
Comment 89 Konstantin 2011-01-05 11:41:11 UTC
FWIW, Amarok does not crash when started with a debugger. I've tried two GDB front ends:

kdbg -a "--nofork" `which amarok`

ddd --args amarok --nofork

NVIDIA driver version: 260.19.29
Comment 90 lxuser 2011-01-08 09:35:26 UTC
Created attachment 55729 [details]
New crash information added by DrKonqi

Crashed by trying to adjust "Date and Time" by clicking on clock icon in taskbar
Comment 91 Joris Guisson 2011-01-09 12:45:14 UTC
*** Bug 262591 has been marked as a duplicate of this bug. ***
Comment 92 Myriam Schweingruber 2011-01-09 13:15:59 UTC
*** Bug 262573 has been marked as a duplicate of this bug. ***
Comment 93 Myriam Schweingruber 2011-01-09 13:17:14 UTC
*** Bug 262583 has been marked as a duplicate of this bug. ***
Comment 94 Myriam Schweingruber 2011-01-09 20:24:50 UTC
*** Bug 262678 has been marked as a duplicate of this bug. ***
Comment 95 Marco Martin 2011-01-10 12:54:03 UTC
*** Bug 262664 has been marked as a duplicate of this bug. ***
Comment 96 Myriam Schweingruber 2011-01-10 17:12:20 UTC
*** Bug 262755 has been marked as a duplicate of this bug. ***
Comment 97 Joris Guisson 2011-01-10 19:22:18 UTC
*** Bug 262701 has been marked as a duplicate of this bug. ***
Comment 98 Jorge Adriano 2011-01-11 14:22:00 UTC
Still present after the new update to 260.19.29 (OpenSUSE RPMs)
Comment 99 deabru 2011-01-11 14:27:49 UTC
I had same problem in my openSUSE 11.3 with KDE_Distro_Factory repository and KDE_Release_45 repository. Nvidia, lastest divers installed manually, 64bits, Kernel_HEAD repo, X11_Xorg repo.

I tried to solve it removing my akonadi resources with that period of recovery, but didn't work.

All problems are gone when I reinstalled glibc from yast.
Comment 100 Jorge Adriano 2011-01-11 14:34:23 UTC
(In reply to comment #99)
> I had same problem in my openSUSE 11.3 with KDE_Distro_Factory repository and
> KDE_Release_45 repository. Nvidia, lastest divers installed manually, 64bits,
> Kernel_HEAD repo, X11_Xorg repo.

Are you sure it was the same problem? Seems like a very different configuration from the ones reported here (which seem to be 32 bit, openSUSE nvidia rpms, no kernel head nor xorg repos). 


> 
> I tried to solve it removing my akonadi resources with that period of recovery,
> but didn't work.
> 
> All problems are gone when I reinstalled glibc from yast.

Well doesn't hurt to try I guess...
Comment 101 Jorge Adriano 2011-01-11 14:38:21 UTC
> > All problems are gone when I reinstalled glibc from yast.
> 
> Well doesn't hurt to try I guess...

Nah, it's updated already.
Comment 102 Yakov 2011-01-11 18:27:03 UTC
Created attachment 55876 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.5 (KDE 4.5.5) "release 1" using Qt 4.6.3

Updated last avaliable packages. No changes.

-- Backtrace (Reduced):
#7  0xb781710a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb7817771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb7817b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb781945b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb7820823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 103 Roger Luedecke 2011-01-12 00:15:09 UTC
On 01/11/2011 05:34 AM, Jorge Adriano wrote:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #100 from Jorge Adriano <jadrian mat uc pt>  2011-01-11 14:34:23 ---
> (In reply to comment #99)
>   
>> I had same problem in my openSUSE 11.3 with KDE_Distro_Factory repository and
>> KDE_Release_45 repository. Nvidia, lastest divers installed manually, 64bits,
>> Kernel_HEAD repo, X11_Xorg repo.
>>     
> Are you sure it was the same problem? Seems like a very different configuration
> from the ones reported here (which seem to be 32 bit, openSUSE nvidia rpms, no
> kernel head nor xorg repos). 
>
>
>   
>> I tried to solve it removing my akonadi resources with that period of recovery,
>> but didn't work.
>>
>> All problems are gone when I reinstalled glibc from yast.
>>     
> Well doesn't hurt to try I guess...
>
>   
The problem is certainly not with the RPMs. I have manually installed
and used RPMs through YAST. So far the only fix I have figured is the
downgrade. Reinstalling glibc will fix this? How and why, have others
done this? What are the risks it can break the ability to use my system
normally... I have spent days getting it 100% working.
Comment 104 Roger Luedecke 2011-01-12 00:16:07 UTC
On 01/11/2011 05:38 AM, Jorge Adriano wrote:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #101 from Jorge Adriano <jadrian mat uc pt>  2011-01-11 14:38:21 ---
>
>   
>>> All problems are gone when I reinstalled glibc from yast.
>>>       
>> Well doesn't hurt to try I guess...
>>     
> Nah, it's updated already.
>
>   
Update to glibc broke the fix?
Comment 105 Roger Luedecke 2011-01-12 00:18:05 UTC
On 01/11/2011 09:27 AM, Yakov wrote:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #102 from Yakov <coolman9999 mail ru>  2011-01-11 18:27:03 ---
> Created an attachment (id=55876)
>  --> (http://bugs.kde.org/attachment.cgi?id=55876)
> New crash information added by DrKonqi
>
> plasma-desktop (0.3) on KDE Platform 4.5.5 (KDE 4.5.5) "release 1" using Qt
> 4.6.3
>
> Updated last avaliable packages. No changes.
>
> -- Backtrace (Reduced):
> #7  0xb781710a in enter.8102 () from /lib/ld-linux.so.2
> #8  0xb7817771 in do_lookup_x () from /lib/ld-linux.so.2
> #9  0xb7817b49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
> #10 0xb781945b in _dl_relocate_object () from /lib/ld-linux.so.2
> #11 0xb7820823 in dl_open_worker () from /lib/ld-linux.so.2
>
>   
If I reinstall this package from YAST would it fix this problem?
Comment 106 deabru 2011-01-13 14:15:34 UTC
(In reply to comment #103)

> >> All problems are gone when I reinstalled glibc from yast.
> >>     
> > Well doesn't hurt to try I guess...
> >
> >   
> The problem is certainly not with the RPMs. I have manually installed
> and used RPMs through YAST. So far the only fix I have figured is the
> downgrade. Reinstalling glibc will fix this? How and why, have others
> done this? What are the risks it can break the ability to use my system
> normally... I have spent days getting it 100% working.

It seems that some people solved their problem by reinstalling his openSUSE, so, I reinstalled everything that appear in backtrace. (maybe had some corrupt files, by a raid problem, an error in nvidia installer, or whatever).

But, it seems that doesn't work for @Jorge Adriano. And I could not reproduce this problem again with the old drivers, we may have different problems.

Anyway, check out https://bugzilla.novell.com/show_bug.cgi?id=648718
Comment 107 S. Burmeister 2011-01-13 14:37:11 UTC
(In reply to comment #101)
> > > All problems are gone when I reinstalled glibc from yast.
> > 
> > Well doesn't hurt to try I guess...
> 
> Nah, it's updated already.

Did you re-install the package or just had a look for its version? AFAIU you have to re-install that package.
Comment 108 George Yunaev 2011-01-15 12:12:27 UTC
So far I can confirm the following:

- plasma-desktop crashes on startup after updating NVidia proprietary drivers to 269.x. The latest released version at this moment is 260.19.29 and it still has the issue. If restarted manually, it still crashes. 

- Removing .kde4 directory completely does not fix the crash, so it is not stale configuration files.

- Even though plasma crashes most of KDE apps work fine. You can use Alt+F2 and start konsole, from which you can start everything else. Dolphin works, firefox works, kmail works. Amarok crashes.

- If you run plasma-desktop under strace, it does not crash and KDE seem to work fine (although slow).

- Reinstalling glibc does NOT fix the crash.

- Downgrading NVidia drivers to 256.53 fixed the crash permanently.
Comment 109 Jorge Adriano 2011-01-15 12:20:35 UTC
(In reply to comment #108)
> So far I can confirm the following:
> 
> - plasma-desktop crashes on startup after updating NVidia proprietary drivers
> to 269.x. The latest released version at this moment is 260.19.29 and it still
> has the issue. If restarted manually, it still crashes. 
> 
> - Removing .kde4 directory completely does not fix the crash, so it is not
> stale configuration files.

Just a bit of feedback here. In my experience the login crash is caused by the clock applet crashing. That is why removing .kde4 doesn't work. To prevent that crash you can go to ~/.kde4/share/config and edit some plasma* config files to remove the clock.

That said apparently you downgraded your nvidia drivers so you don't need that anymore.
Comment 110 Valentin 2011-01-16 00:12:19 UTC
Created attachment 56062 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.5 (KDE 4.5.5) "release 1" using Qt 4.6.3

- What I was doing when the application crashed:

Plasma crash when KDE start after update to 4.5.

-- Backtrace (Reduced):
#7  enter (table=0x8dba798, size=0, hash=2714114297, name=0xb587421a "_ZNSt8time_getIcSt19istreambuf_iteratorIcSt11char_traitsIcEEE2idE", sym=0xb58661fc, map=0xb63c92a8) at dl-lookup.c:318
#8  0xb76fd771 in do_lookup_x (new_hash=1365446393, old_hash=0xbfa77838, ref=0xa8f4f078, result=0xbfa7782c, scope=0x8dd8d2c, i=<value optimized out>, flags=1, skip=0x0, undef_map=0x8dbea48)
    at dl-lookup.c:400
#9  0xb76fdb49 in _dl_lookup_symbol_x (undef_name=0xa8f50649 "_ZZN11QMetaTypeIdI5QListIN7Akonadi19NotificationMessageEEE14qt_metatype_idEvE11metatype_id", undef_map=0x8dbea48, ref=0xbfa778d8, 
    symbol_scope=0x8dbec00, version=0x0, type_class=0, flags=1, skip_map=0x0) at dl-lookup.c:736
#10 0xb76ff45b in elf_machine_rel (scope=0x8dbec00, reloc_mode=1, consider_profiling=0) at ../sysdeps/i386/dl-machine.h:344
#11 elf_dynamic_do_rel (scope=0x8dbec00, reloc_mode=1, consider_profiling=0) at do-rel.h:120
Comment 111 Myriam Schweingruber 2011-01-16 19:15:49 UTC
*** Bug 263343 has been marked as a duplicate of this bug. ***
Comment 112 Pino Toscano 2011-01-16 20:07:37 UTC
*** Bug 263337 has been marked as a duplicate of this bug. ***
Comment 113 Thomas Lübking 2011-01-16 23:49:12 UTC
can anyone experiencing this issue try to place

export __GL_SINGLE_THREADED=1

in ~/.xprofile?

notice:
KDM interprets ~/.xprofile, if you start via a custom script of startx you'll likely be able to set the environment from there ;-P
Comment 114 Jorge Adriano 2011-01-17 02:15:51 UTC
I tried but "echo $__GL_SINGLE_THREADED" provided no output after log in, so I'm guessing it didn't work. And as expected no difference in behaviour.

(In reply to comment #113)
> can anyone experiencing this issue try to place
> 
> export __GL_SINGLE_THREADED=1
> 
> in ~/.xprofile?
> 
> notice:
> KDM interprets ~/.xprofile, if you start via a custom script of startx you'll
> likely be able to set the environment from there ;-P
Comment 115 Jorge Adriano 2011-01-17 02:34:10 UTC
Anyway I killed KDM, run the export command, and then startx.
Everything was crashing anyway.

(In reply to comment #114)
> I tried but "echo $__GL_SINGLE_THREADED" provided no output after log in, so
> I'm guessing it didn't work. And as expected no difference in behaviour.
> 
> (In reply to comment #113)
> > can anyone experiencing this issue try to place
> > 
> > export __GL_SINGLE_THREADED=1
> > 
> > in ~/.xprofile?
> > 
> > notice:
> > KDM interprets ~/.xprofile, if you start via a custom script of startx you'll
> > likely be able to set the environment from there ;-P

(In reply to comment #114)
> I tried but "echo $__GL_SINGLE_THREADED" provided no output after log in, so
> I'm guessing it didn't work. And as expected no difference in behaviour.
> 
> (In reply to comment #113)
> > can anyone experiencing this issue try to place
> > 
> > export __GL_SINGLE_THREADED=1
> > 
> > in ~/.xprofile?
> > 
> > notice:
> > KDM interprets ~/.xprofile, if you start via a custom script of startx you'll
> > likely be able to set the environment from there ;-P
Comment 116 axel 2011-01-17 06:49:55 UTC
I'm watching this bug now for nearly four months. In between it was marked as solved, but it's still the shame shit: whenever I try a newer version than the NVIDIA-256.53-Driver, Plasma, Krunner and some other KDE related stuff crashes happily every time I try to login. 
Seems to me that NVIDIA is saying: it's KDEs fault and the KDE People say it's Kernel related, OpenSuSEs or a NVIDIA problem. As Douglas Adams would say: it's a SEP.
Or -as we say in german- "Du hast den schwarzen Peter.". Means: somebody else's fault, but not mine. 
This "Error-Moving" was one of the reasons I switched to OS, but if it's the same as in the closed world I can't see any reason to stay in the Linux world. Oh...yes...of cause: I could use the nouveau driver, but let's be honest: it's still not usable if you want to use GL.
Sorry for this pissed comment, but I have to use one of NVIDIAs newer (>= 260) drivers, cause this should solve another Problem I have and I'm really losing my patience....
Comment 117 Roger Luedecke 2011-01-17 07:06:09 UTC
On 01/16/2011 09:50 PM, axel wrote:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
> axel<axel.hoehle@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |axel.hoehle@gmail.com
>
>
>
>
> --- Comment #116 from axel<axel hoehle gmail com>   2011-01-17 06:49:55 ---
> I'm watching this bug now for nearly four months. In between it was marked as
> solved, but it's still the shame shit: whenever I try a newer version than the
> NVIDIA-256.53-Driver, Plasma, Krunner and some other KDE related stuff crashes
> happily every time I try to login.
> Seems to me that NVIDIA is saying: it's KDEs fault and the KDE People say it's
> Kernel related, OpenSuSEs or a NVIDIA problem. As Douglas Adams would say: it's
> a SEP.
> Or -as we say in german- "Du hast den schwarzen Peter.". Means: somebody else's
> fault, but not mine.
> This "Error-Moving" was one of the reasons I switched to OS, but if it's the
> same as in the closed world I can't see any reason to stay in the Linux world.
> Oh...yes...of cause: I could use the nouveau driver, but let's be honest: it's
> still not usable if you want to use GL.
> Sorry for this pissed comment, but I have to use one of NVIDIAs newer (>= 260)
> drivers, cause this should solve another Problem I have and I'm really losing
> my patience....
>
I wound up switching from OpenSUSE to Fedora on one of my machines where 
the GL performance mattered. It looks primarilly to be an issue with 
OpenSUSE. I would love if somebody could explain what is going wrong 
precisely (I'm not a developer) so I could report the bug to the 
OpenSUSE community and get them to push a patch.
Comment 118 S. Burmeister 2011-01-17 12:22:16 UTC
From another bug report https://bugzilla.novell.com/show_bug.cgi?id=648718#c43:

Hi,
I had the same problem, but I was able to sort it out with this workaround:

1. in the KDE system setting (systemsettings) go to the Desktop Effects
2. go to Advanced setting. there is OpenGL setting.
3. switch the texture filtering to the "Trilinear".
4. save it and restart the KDE.

- now it should works ;-)

KDE 4.5.5
Nvidia - from Nvidia repository 260.19.12

Sadly those settings were removed from KDE 4.6!
Comment 119 S. Burmeister 2011-01-17 12:25:16 UTC
Ok, seems that setting got renamed, so pick from the following whatever was trilinear before: "Scale method: Crisp|Smooth|Accurate"
Comment 120 Jorge Adriano 2011-01-17 12:29:47 UTC
(In reply to comment #119)
> Ok, seems that setting got renamed, so pick from the following whatever was
> trilinear before: "Scale method: Crisp|Smooth|Accurate"

Crashes for me with any of these settings.
Comment 121 steiwol 2011-01-17 14:12:23 UTC
Am Montag 17 Januar 2011, 12:22:23 schrieb S. Burmeister:
> https://bugs.kde.org/show_bug.cgi?id=251719
> 
> 
> 
> 
> 
> --- Comment #118 from S. Burmeister <sven burmeister gmx net> 
> 2011-01-17 12:22:16 --- From another bug report
> https://bugzilla.novell.com/show_bug.cgi?id=648718#c43:
> 
> Hi,
> I had the same problem, but I was able to sort it out with this
> workaround:
> 
> 1. in the KDE system setting (systemsettings) go to the Desktop
> Effects 2. go to Advanced setting. there is OpenGL setting.
> 3. switch the texture filtering to the "Trilinear".
> 4. save it and restart the KDE.
> 
> - now it should works ;-)
> 
> KDE 4.5.5
> Nvidia - from Nvidia repository 260.19.12
> 
> Sadly those settings were removed from KDE 4.6!

I switched in OpenGL setting to "Trilinear", but still floating point 
exception crash. Other KDE-App are running.
GeForce 6200 TurboCache(TM)
OpenSUSE 11.3 (i586)
Kernel 2.6.34.7-0.7-pae i686
KDE4.4.4 (release 3)
2D-driver: nvidia
3D-driver: NVIDIA 260.19.29
Comment 122 florentingarnier 2011-01-17 14:16:40 UTC
2011/1/17 <steiwol@aol.com>

> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #121 from  <steiwol aol com>  2011-01-17 14:12:23 ---
> Am Montag 17 Januar 2011, 12:22:23 schrieb S. Burmeister:
> > https://bugs.kde.org/show_bug.cgi?id=251719
> >
> >
> >
> >
> >
> > --- Comment #118 from S. Burmeister <sven burmeister gmx net>
> > 2011-01-17 12:22:16 --- From another bug report
> > https://bugzilla.novell.com/show_bug.cgi?id=648718#c43:
> >
> > Hi,
> > I had the same problem, but I was able to sort it out with this
> > workaround:
> >
> > 1. in the KDE system setting (systemsettings) go to the Desktop
> > Effects 2. go to Advanced setting. there is OpenGL setting.
> > 3. switch the texture filtering to the "Trilinear".
> > 4. save it and restart the KDE.
> >
> > - now it should works ;-)
> >
> > KDE 4.5.5
> > Nvidia - from Nvidia repository 260.19.12
> >
> > Sadly those settings were removed from KDE 4.6!
>
> I switched in OpenGL setting to "Trilinear", but still floating point
> exception crash. Other KDE-App are running.
> GeForce 6200 TurboCache(TM)
> OpenSUSE 11.3 (i586)
> Kernel 2.6.34.7-0.7-pae i686
> KDE4.4.4 (release 3)
> 2D-driver: nvidia
> 3D-driver: NVIDIA 260.19.29
>
> The bug is quiet with the 32 bit version of the driver
>
Comment 123 S. Burmeister 2011-01-17 15:29:10 UTC
(In reply to comment #122)
> > The bug is quiet with the 32 bit version of the driver

Are you saying that if you install the 32 bit driver version the bug does not affect you i.e. is fixed?
Comment 124 Jorge Adriano 2011-01-17 15:31:36 UTC
(In reply to comment #123)
> (In reply to comment #122)
> > > The bug is quiet with the 32 bit version of the driver
> 
> Are you saying that if you install the 32 bit driver version the bug does not
> affect you i.e. is fixed?

Not sure what he's saying, but that is obviously not the case.
Comment 125 Thomas Lübking 2011-01-17 15:50:36 UTC
This is unlikely related to the kwin texture generation method, notably since it doesn't make any difference as long as you're not using one of the scaling effects and doesn't affect plasma-deskto AT ALL.

The entire thing looks /very/ familiar to me.
*Years* ago, the nvidia driver caused issues on pthreaded applications, dlopening libGL several times.
Back then, exporting __GL_SINGLE_THREADED=1 prevented this, at least nvidia blamed ld to be the culprit and latter versions of ld worked fine.

The second workaround i'd try (because of some related comments here) would be to disable the Qt glib eventdispatcher, by placing

 export QT_NO_GLIB=1

into ~/.xprofile

@Jorge
no idea why ~/.xprofile isn't taken into accout on your side, sorry.
just take the crash as it is, then press ctrl+alt+f1, log in
export DISPLAY=:0
export __GL_SINGLE_THREADED=1
# to be sure ;-)
export QT_NO_GLIB=1
plasma-desktop

see whether it crashes, in doubt move back to X11 by ctrl+alt+f7
Comment 126 glen herron 2011-01-18 11:00:26 UTC
 question did you do an upgrade from 11.2 to 11.3 
second i run opensuse 11.3 using the nvidia 260.19.21_k2 driver 
no problems owe using kde 4.4.4

when i done an upgrade from opensuse 11.2 to 11.3 i had no end
of problems i messed around with factory updates again no end
of problems. fresh install of 11.3 no factory update no problems

 


 

 

-----Original Message-----
From: axel <axel.hoehle@gmail.com>
To: nglennglen@netscape.net
Sent: Mon, Jan 17, 2011 5:50 am
Subject: [Bug 251719] Plasma crash with NVIDIA 260.19.05


https://bugs.kde.org/show_bug.cgi?id=251719


axel <axel.hoehle@gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |axel.hoehle@gmail.com




--- Comment #116 from axel <axel hoehle gmail com>  2011-01-17 06:49:55 ---
I'm watching this bug now for nearly four months. In between it was marked as
solved, but it's still the shame shit: whenever I try a newer version than the
NVIDIA-256.53-Driver, Plasma, Krunner and some other KDE related stuff crashes
happily every time I try to login. 
Seems to me that NVIDIA is saying: it's KDEs fault and the KDE People say it's
Kernel related, OpenSuSEs or a NVIDIA problem. As Douglas Adams would say: it's
a SEP.
Or -as we say in german- "Du hast den schwarzen Peter.". Means: somebody else's
fault, but not mine. 
This "Error-Moving" was one of the reasons I switched to OS, but if it's the
same as in the closed world I can't see any reason to stay in the Linux world.
Oh...yes...of cause: I could use the nouveau driver, but let's be honest: it's
still not usable if you want to use GL.
Sorry for this pissed comment, but I have to use one of NVIDIAs newer (>= 260)
drivers, cause this should solve another Problem I have and I'm really losing
my patience....
Comment 127 florentingarnier 2011-01-18 13:07:27 UTC
2011/1/17 Jorge Adriano <jadrian@mat.uc.pt>
>
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #124 from Jorge Adriano <jadrian mat uc pt>  2011-01-17 15:31:36 ---
> (In reply to comment #123)
> > (In reply to comment #122)
> > > > The bug is quiet with the 32 bit version of the driver
> >
> > Are you saying that if you install the 32 bit driver version the bug does not
> > affect you i.e. is fixed?
>
> Not sure what he's saying, but that is obviously not the case.
>

I have installed opensuse 11.3 32 bit and I have no bug. But in 64 bit
KDE crash.
Comment 128 Igor Strelnikoff 2011-01-18 20:47:29 UTC
Well now upgrade KDE from version 4.4.4 to 4.5.5 and install nvidia driver 260.19 ;)

And you'll have the friezes and the crushes ;)
Comment 129 Gerry Gavigan 2011-01-18 22:08:16 UTC
I'm using OpenSUSE 11.3 KDE 4.6 RC2 and nvidia-gfxG02-kmp-desktop 260.19.29_k2.6.34.0_12-21.1

It's 32 bit Athlon and I've never had a problem

When I upgraded a friend's Intel box I got everything you are getting
Solved only by dropping back to a vanilla 11.3
Comment 130 Valentin 2011-01-18 22:27:58 UTC
Created attachment 56176 [details]
New crash information added by DrKonqi

Amarok crash always on startup. Plasma work properly. Nvidia 260.19.29
Comment 131 steiwol 2011-01-19 10:51:14 UTC
> 14:16:40 --- 2011/1/17 <steiwol@aol.com>
> 
> > https://bugs.kde.org/show_bug.cgi?id=251719
> > --- Comment #121 from  <steiwol aol com>  2011-01-17 14:12:23 ---
> > 
> > Am Montag 17 Januar 2011, 12:22:23 schrieb S. Burmeister:
> > > https://bugs.kde.org/show_bug.cgi?id=251719
> > > 
> > > 
> > > 
> > > 
> > > 
> > > --- Comment #118 from S. Burmeister <sven burmeister gmx net>
> > > 2011-01-17 12:22:16 --- From another bug report
> > > https://bugzilla.novell.com/show_bug.cgi?id=648718#c43:
> > > 
> > > Hi,
> > > I had the same problem, but I was able to sort it out with this
> > > workaround:
> > > 
> > > 1. in the KDE system setting (systemsettings) go to the Desktop
> > > Effects 2. go to Advanced setting. there is OpenGL setting.
> > > 3. switch the texture filtering to the "Trilinear".
> > > 4. save it and restart the KDE.
> > > 
> > > - now it should works ;-)
> > > 
> > > KDE 4.5.5
> > > Nvidia - from Nvidia repository 260.19.12
> > > 
> > > Sadly those settings were removed from KDE 4.6!
> > 
> > I switched in OpenGL setting to "Trilinear", but still floating
> > point exception crash. Other KDE-App are running.
> > GeForce 6200 TurboCache(TM)
> > OpenSUSE 11.3 (i586)
> > Kernel 2.6.34.7-0.7-pae i686
> > KDE4.4.4 (release 3)
> > 2D-driver: nvidia
> > 3D-driver: NVIDIA 260.19.29
> > 
I uninstalled the proprietary NVIDIA 260.19.29 and the corresponding 
Kernel Module.
Now i am using nouveau Gallium (7.8.2)
No more floating point crash, no more Kontact crash and Virtualbox is 
not anymore refusing to start.
Comment 132 Christoph Feck 2011-01-20 03:38:28 UTC
*** Bug 263684 has been marked as a duplicate of this bug. ***
Comment 133 solarisX 2011-01-21 12:08:41 UTC
Created attachment 56280 [details]
New crash information added by DrKonqi

plasma-desktop (0.3) on KDE Platform 4.5.5 (KDE 4.5.5) "release 1" using Qt 4.6.3

- What I was doing when the application crashed:

plasma desktop crashes since days. made the newest updates. plasma desktop crashes further.

-- Backtrace (Reduced):
#7  0xb775c10a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb775c771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb775cb49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb775e45b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb7765823 in dl_open_worker () from /lib/ld-linux.so.2
Comment 134 Myriam Schweingruber 2011-01-22 12:32:46 UTC
*** Bug 263923 has been marked as a duplicate of this bug. ***
Comment 135 Andrea Florio 2011-01-24 13:11:14 UTC
nvidia released a new driver: 260.19.36

does it help?
Comment 136 Andreas Klafft 2011-01-24 13:43:29 UTC
I will try it if it is available as a SuSE-rpm, because I do not want to
compile a new kernel. I am using for the moment the 260.19.29. This
version does not help. I will come back the next days, if the driver is
available.

Am 24.01.2011 13:11, schrieb Andrea Florio:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #135 from Andrea Florio <andrea opensuse org>  2011-01-24 13:11:14 ---
> nvidia released a new driver: 260.19.36
>
> does it help?
>
>
Comment 137 Jürgen Grove 2011-01-24 21:53:58 UTC
Created attachment 56400 [details]
New crash information added by DrKonqi

Amarok is falling down when the "Blue Start Window "is opening the program
i have just often check tis situation but it do everytime the same crash! (Never it is opening itself!)
that is not so good (What is the mistake in my System)
Comment 138 christian.mahr.ulm 2011-01-25 10:51:01 UTC
I have the same problem - amarok always crashes shortly after start.
my workaround (in a terminal):  strace amarok
surprisingly this work....

Am Montag 24 Januar 2011, 21:54:07 schrieb Jürgen Grove:
> https://bugs.kde.org/show_bug.cgi?id=251719
> 
> 
> 
> 
> 
> --- Comment #137 from Jürgen Grove <juergen grove gmx net>  2011-01-24
> 21:53:58 --- Created an attachment (id=56400)
>  --> (http://bugs.kde.org/attachment.cgi?id=56400)
> New crash information added by DrKonqi
> 
> Amarok is falling down when the "Blue Start Window "is opening the program
> i have just often check tis situation but it do everytime the same crash!
> (Never it is opening itself!)
> that is not so good (What is the mistake in my System)
Comment 139 Christoph Feck 2011-01-26 21:18:02 UTC
*** Bug 264350 has been marked as a duplicate of this bug. ***
Comment 140 axel 2011-01-27 04:24:24 UTC
Tested again with today released KDE4.6 and new Drivers from NVIDIA:
Version 260.19.36 (certified)  and 270.18. (Beta)

Same Result:. Plasma Crash directly after Login. 
System OpenSuSE 11.3 32 Bit, KDE4.6, QT4.7
Comment 141 Thomas Schlicht 2011-01-27 20:19:08 UTC
Created attachment 56528 [details]
New crash information added by DrKonqi

Amarok is crashing every time during the start. So I am not able to use it.
Sysem: 
OpenSuse 11.3 (i586); 
Kernel 2.6.34.7-0.7 Desktop i686; 
KDE 4.4.4 release 3
GeForce 6200; Treiber 260.19.29
Comment 142 Gerry Gavigan 2011-01-27 20:56:11 UTC
Until today (see #129) everything worked for me. Finding it difficult to believe this is an nvidia problem though I used pae

nvidia-gfxG02-kmp-pae 260.19.29_k2.6.34.0_12-21.1

rather than 

nvidia-gfxG02-kmp-desktop 260.19.29_k2.6.34.0_12-21.1


Initial basic install of 4.6 wouldn't launch, following zypper dup KDE 4.6 plama now crashes on start-up with floating point exception   

Application: Plasma Desktop Shell (kdeinit4), signal: Floating point exception
[Current thread is 1 (Thread 0xb59a6710 (LWP 4290))]

Thread 2 (Thread 0xae312b70 (LWP 4291)):
#0  0xb6de2faf in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb5bf97ff in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0xb5bfa108 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb5bfa60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb6f88da7 in QEventDispatcherGlib::processEvents (this=0x8432170, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb6f5989d in QEventLoop::processEvents (this=0xae312200, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6f59ac9 in QEventLoop::exec (this=0xae312200, flags=...) at kernel/qeventloop.cpp:201
#7  0xb6e587a9 in QThread::exec (this=0x8437ff0) at thread/qthread.cpp:490
#8  0xb6f394ad in QInotifyFileSystemWatcherEngine::run (this=0x8437ff0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb6e5b39a in QThreadPrivate::start (arg=0x8437ff0) at thread/qthread_unix.cpp:285
#10 0xb2e37de7 in ?? () from /usr/X11R6/lib/libGL.so.1
#11 0xb618f46e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb59a6710 (LWP 4290)):
[KCrash Handler]
#7  0xb78dc10a in enter.8102 () from /lib/ld-linux.so.2
#8  0xb78dc771 in do_lookup_x () from /lib/ld-linux.so.2
#9  0xb78dcb49 in _dl_lookup_symbol_x () from /lib/ld-linux.so.2
#10 0xb78de45b in _dl_relocate_object () from /lib/ld-linux.so.2
#11 0xb78e5823 in dl_open_worker () from /lib/ld-linux.so.2
#12 0xb78e150f in _dl_catch_error () from /lib/ld-linux.so.2
#13 0xb78e52e6 in _dl_open () from /lib/ld-linux.so.2
#14 0xb5d06bdd in dlopen_doit () from /lib/libdl.so.2
#15 0xb78e150f in _dl_catch_error () from /lib/ld-linux.so.2
#16 0xb5d07342 in _dlerror_run () from /lib/libdl.so.2
#17 0xb5d06ca7 in dlopen@@GLIBC_2.1 () from /lib/libdl.so.2
#18 0xb6f4a4b5 in QLibraryPrivate::load_sys (this=0x84c9978) at plugin/qlibrary_unix.cpp:205
#19 0xb6f44ff4 in QLibraryPrivate::load (this=0x84c9978) at plugin/qlibrary.cpp:446
#20 0xb6f450d8 in QLibraryPrivate::loadPlugin (this=0x84c9978) at plugin/qlibrary.cpp:478
#21 0xb6f3eed3 in QPluginLoader::load (this=0xbf84e854) at plugin/qpluginloader.cpp:227
#22 0xb7223ca8 in KPluginLoader::load (this=0xbf84e854) at /usr/src/debug/kdelibs-4.6.0/kdecore/util/kpluginloader.cpp:224
#23 0xb72240c5 in KPluginLoader::pluginVersion (this=0xbf84e854) at /usr/src/debug/kdelibs-4.6.0/kdecore/util/kpluginloader.cpp:273
#24 0xb4d68fe5 in Plasma::PluginLoader::loadDataEngine (this=0x81d5458, name=...) at /usr/src/debug/kdelibs-4.6.0/plasma/pluginloader.cpp:176
#25 0xb4d4f4f1 in Plasma::DataEngineManager::loadEngine (this=0x8297500, name=...) at /usr/src/debug/kdelibs-4.6.0/plasma/dataenginemanager.cpp:131
#26 0xb4d89725 in Plasma::DataEngineConsumer::dataEngine (this=0x8372440, name=...) at /usr/src/debug/kdelibs-4.6.0/plasma/private/dataengineconsumer.cpp:105
#27 0xb4d0b8a7 in Plasma::Applet::dataEngine (this=0x8372820, name=...) at /usr/src/debug/kdelibs-4.6.0/plasma/applet.cpp:674
#28 0xae4a4e42 in ClockApplet::init (this=0x8372820) at /usr/src/debug/kdebase-workspace-4.6.0/libs/plasmaclock/clockapplet.cpp:587
#29 0xae4edd9e in Clock::init (this=0x8372820) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/generic/applets/digital-clock/clock.cpp:75
#30 0xb4d2fe9f in Plasma::ContainmentPrivate::initApplets (this=0x825ee78) at /usr/src/debug/kdelibs-4.6.0/plasma/containment.cpp:463
#31 0xb4d44f5a in Plasma::CoronaPrivate::importLayout (this=0x815d510, conf=..., mergeConfig=false) at /usr/src/debug/kdelibs-4.6.0/plasma/corona.cpp:568
#32 0xb4d45d45 in Plasma::Corona::loadLayout (this=0x81521a0, configName=...) at /usr/src/debug/kdelibs-4.6.0/plasma/corona.cpp:496
#33 0xb4d45e1e in Plasma::Corona::initializeLayout (this=0x81521a0, configName=...) at /usr/src/debug/kdelibs-4.6.0/plasma/corona.cpp:399
#34 0xb0f3a69a in PlasmaApp::corona (this=0x80fb7b8) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/desktop/shell/plasmaapp.cpp:794
#35 0xb0f3a9db in PlasmaApp::setupDesktop (this=0x80fb7b8) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/desktop/shell/plasmaapp.cpp:299
#36 0xb0f3c440 in PlasmaApp::qt_metacall (this=0x80fb7b8, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x8138490)
    at /usr/src/debug/kdebase-workspace-4.6.0/build/plasma/desktop/shell/plasmaapp.moc:156
#37 0xb6f60e5d in QMetaObject::metacall (object=0x80fb7b8, cl=QMetaObject::InvokeMetaMethod, idx=45, argv=0x8138490) at kernel/qmetaobject.cpp:237
#38 0xb6f6b945 in QMetaCallEvent::placeMetaCall (this=0x8138898, object=0x80fb7b8) at kernel/qobject.cpp:534
#39 0xb6f6fb7f in QObject::event (this=0x80fb7b8, e=0x8138898) at kernel/qobject.cpp:1211
#40 0xb6f5abaa in QCoreApplication::event (this=0x80fb7b8, e=0x8138898) at kernel/qcoreapplication.cpp:1561
#41 0xb6458c2d in QApplication::event (this=0x80fb7b8, e=0x8138898) at kernel/qapplication.cpp:2486
#42 0xb6456414 in QApplicationPrivate::notify_helper (this=0x81024f0, receiver=0x80fb7b8, e=0x8138898) at kernel/qapplication.cpp:4445
#43 0xb645f137 in QApplication::notify (this=0x80fb7b8, receiver=0x80fb7b8, e=0x8138898) at kernel/qapplication.cpp:3845
#44 0xb75c86c1 in KApplication::notify (this=0x80fb7b8, receiver=0x80fb7b8, event=0x8138898) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#45 0xb6f5a5be in QCoreApplication::notifyInternal (this=0x80fb7b8, receiver=0x80fb7b8, event=0x8138898) at kernel/qcoreapplication.cpp:732
#46 0xb6f5e34c in sendEvent (receiver=0x0, event_type=0, data=0x80582a0) at kernel/qcoreapplication.h:215
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x80582a0) at kernel/qcoreapplication.cpp:1373
#48 0xb6f5e49c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#49 0xb6f88bd4 in sendPostedEvents (s=0x80fbcd0) at kernel/qcoreapplication.h:220
#50 postEventSourceDispatch (s=0x80fbcd0) at kernel/qeventdispatcher_glib.cpp:277
#51 0xb5bf9b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#52 0xb5bfa350 in ?? () from /usr/lib/libglib-2.0.so.0
#53 0xb5bfa60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#54 0xb6f88d5b in QEventDispatcherGlib::processEvents (this=0x80e4d98, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#55 0xb650c9aa in QGuiEventDispatcherGlib::processEvents (this=0x80e4d98, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0xb6f5989d in QEventLoop::processEvents (this=0xbf84f7f4, flags=...) at kernel/qeventloop.cpp:149
#57 0xb6f59ac9 in QEventLoop::exec (this=0xbf84f7f4, flags=...) at kernel/qeventloop.cpp:201
#58 0xb6f5e570 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#59 0xb6454114 in QApplication::exec () at kernel/qapplication.cpp:3719
#60 0xb0f1f89a in kdemain (argc=1, argv=0x80da230) at /usr/src/debug/kdebase-workspace-4.6.0/plasma/desktop/shell/main.cpp:118
#61 0x0804e521 in launch (argc=1, _name=0x80df51c "/usr/bin/plasma-desktop", args=<value optimized out>, cwd=0x0, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x80525e3 "0") at /usr/src/debug/kdelibs-4.6.0/kinit/kinit.cpp:730
#62 0x0804f057 in handle_launcher_request (sock=8, who=<value optimized out>) at /usr/src/debug/kdelibs-4.6.0/kinit/kinit.cpp:1222
#63 0x0804f6fc in handle_requests (waitForPid=<value optimized out>) at /usr/src/debug/kdelibs-4.6.0/kinit/kinit.cpp:1415
#64 0x08050579 in main (argc=140181016, argv=0x0, envp=0x0) at /usr/src/debug/kdelibs-4.6.0/kinit/kinit.cpp:1903
Comment 143 Gerry Gavigan 2011-01-27 21:45:14 UTC
pae rather than desktop proved to be a red herring

Reverting to KDE 4.4.4 I with zypper dup after removing factory repository I got this 

Installation of kdebase-wallpapers-4.4.4-5.2 failed:
(with --nodeps --force) Error: Subprocess failed. Error: RPM failed: installing package kdebase-wallpapers-4.4.4-5.2.noarch needs 15MB on the / filesystem 

FWIW
Comment 144 Myriam Schweingruber 2011-01-28 14:46:15 UTC
*** Bug 264445 has been marked as a duplicate of this bug. ***
Comment 145 Christoph Feck 2011-01-30 16:49:05 UTC
Gerry, out of disk space?
Comment 146 Gerry Gavigan 2011-01-30 20:31:47 UTC
Christopher, thank you for your reply. 

It was a mystery, disk-space-wise as my / partition is 20Gb and it was only 18.5Gb full. (The 18.5Gb came as a bit of a shock)

However the problem was a symptom of the reversion to KDE 4.4.4 from 4.6, in retrospect hinted at by the arrival of the pae kernel, which I did via openSUSE update from DVD.  It turns out that stuff from old/unwanted versions of openSUSE were tucked away rather than deleted, (since a while ago...) Clean install solved the problem.

Now all we need is a solution to the nvidia problem :)
Comment 147 Jorge Adriano 2011-01-31 14:10:21 UTC
*** Bug 261066 has been marked as a duplicate of this bug. ***
Comment 148 Christoph Feck 2011-01-31 20:51:29 UTC
*** Bug 264980 has been marked as a duplicate of this bug. ***
Comment 149 Myriam Schweingruber 2011-02-05 11:27:51 UTC
*** Bug 265480 has been marked as a duplicate of this bug. ***
Comment 150 Myriam Schweingruber 2011-02-05 11:39:46 UTC
*** Bug 265488 has been marked as a duplicate of this bug. ***
Comment 151 Myriam Schweingruber 2011-02-05 17:53:32 UTC
*** Bug 265516 has been marked as a duplicate of this bug. ***
Comment 152 Alvaro Aguilera 2011-02-06 20:37:18 UTC
I can confirm that this bug is still present on:

openSUSE 11.3 (x86)
Kernel 2.6.38-rc2-2
NVIDIA 260.19.36 (manually compiled)
KDE 4.6.0

None of the proposed workaround in the above comments seem to work, other than  downgrading either the NVIDIA driver or KDE.

I think this problem deserves more attention.
Comment 153 Leonardo 2011-02-08 21:20:13 UTC
Created attachment 56999 [details]
New crash information added by DrKonqi

Amarok crash every time since nividia driver update.
Comment 154 Donn Washburn 2011-02-09 00:21:20 UTC
I agree  with your discovery of Amarok.  I am running openSuSE 11.4 M6 and NVIDIA.  I have discovered the "strace -o amarok.err amarok" works.  Up comes amarok. I feel it is a NV or SuSE and not Amarok problem
Comment 155 Jorge Adriano 2011-02-09 00:25:09 UTC
(In reply to comment #154)
> I agree  with your discovery of Amarok.  I am running openSuSE 11.4 M6 and
> NVIDIA.  I have discovered the "strace -o amarok.err amarok" works.  Up comes
> amarok. I feel it is a NV or SuSE and not Amarok problem

You mean it's affecting openSUSE 11.4 also? I thought 11.4 was fine. 

How about the "search and launch" activity, does it crash when you input some text on the search field?
Comment 156 Roger Luedecke 2011-02-09 00:48:54 UTC
Clearly its a SUSE problem. It would be nice to know precisely the nature of
the issue so it could be dealt with in the next SUSE release.

On Tue, Feb 8, 2011 at 3:21 PM, Donn Washburn <n5xwb@comcast.net> wrote:

> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #154 from Donn Washburn <n5xwb comcast net>  2011-02-09
> 00:21:20 ---
> I agree  with your discovery of Amarok.  I am running openSuSE 11.4 M6 and
> NVIDIA.  I have discovered the "strace -o amarok.err amarok" works.  Up
> comes
> amarok. I feel it is a NV or SuSE and not Amarok problem
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
Comment 157 Donn Washburn 2011-02-09 01:41:13 UTC
Yes it is a openSuSE headache.  I have tried to track it via strace and gdb with no luck.  I have emailed openSuSE-Factory and amarok with no one even trying to help.  It blows up and then goes to the KDE bug reporter which states not enough info to be helpful.  It could be a KDE problem caused by their pulse or dbus robbing the sound.

Donn Washburn
n5xwb@concast.net
Comment 158 Roger Luedecke 2011-02-09 03:09:11 UTC
It happens with more than Amarok though. I experienced it in Ktorrent, and
others have had problem with the entire plasma interfface.

On Tue, Feb 8, 2011 at 4:41 PM, Donn Washburn <n5xwb@comcast.net> wrote:

> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #157 from Donn Washburn <n5xwb comcast net>  2011-02-09
> 01:41:13 ---
> Yes it is a openSuSE headache.  I have tried to track it via strace and gdb
> with no luck.  I have emailed openSuSE-Factory and amarok with no one even
> trying to help.  It blows up and then goes to the KDE bug reporter which
> states
> not enough info to be helpful.  It could be a KDE problem caused by their
> pulse
> or dbus robbing the sound.
>
> Donn Washburn
> n5xwb@concast.net
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 159 Andreas Klafft 2011-02-09 09:33:41 UTC
Hallo Guys,

so far I heard, this problem didn't exist wuth NV driver 259... Now is
to find out, what is the difference. I saw also some Kubuntus crashing.
It seamed to be really a heavy bug.

Regards Andreas


Am 09.02.2011 03:09, schrieb Roger Luedecke:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #158 from Roger Luedecke <roger luedecke gmail com>  2011-02-09 03:09:11 ---
> It happens with more than Amarok though. I experienced it in Ktorrent, and
> others have had problem with the entire plasma interfface.
>
> On Tue, Feb 8, 2011 at 4:41 PM, Donn Washburn <n5xwb@comcast.net> wrote:
>
>   
>> https://bugs.kde.org/show_bug.cgi?id=251719
>>
>>
>>
>>
>>
>> --- Comment #157 from Donn Washburn <n5xwb comcast net>  2011-02-09
>> 01:41:13 ---
>> Yes it is a openSuSE headache.  I have tried to track it via strace and gdb
>> with no luck.  I have emailed openSuSE-Factory and amarok with no one even
>> trying to help.  It blows up and then goes to the KDE bug reporter which
>> states
>> not enough info to be helpful.  It could be a KDE problem caused by their
>> pulse
>> or dbus robbing the sound.
>>
>> Donn Washburn
>> n5xwb@concast.net
>>
>> --
>> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
>> ------- You are receiving this mail because: -------
>> You are on the CC list for the bug.
>>
>>     
>
Comment 160 Roger Luedecke 2011-02-09 09:49:26 UTC
I had no problem with Kubuntu doing this. I have seen numerous examples of
this in SUSE though. So I would say there is definitely a problem in SUSE.
It would be interesting to see if the problem experienced in Kubuntu is
related, may help target what delicate little thing is actually going wrong.

On Wed, Feb 9, 2011 at 12:33 AM, Andreas Klafft
<andreas.klafft@unitybox.de>wrote:

> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #159 from Andreas Klafft <andreas klafft unitybox de>
>  2011-02-09 09:33:41 ---
> Hallo Guys,
>
> so far I heard, this problem didn't exist wuth NV driver 259... Now is
> to find out, what is the difference. I saw also some Kubuntus crashing.
> It seamed to be really a heavy bug.
>
> Regards Andreas
>
>
> Am 09.02.2011 03:09, schrieb Roger Luedecke:
> > https://bugs.kde.org/show_bug.cgi?id=251719
> >
> >
> >
> >
> >
> > --- Comment #158 from Roger Luedecke <roger luedecke gmail com>
>  2011-02-09 03:09:11 ---
> > It happens with more than Amarok though. I experienced it in Ktorrent,
> and
> > others have had problem with the entire plasma interfface.
> >
> > On Tue, Feb 8, 2011 at 4:41 PM, Donn Washburn <n5xwb@comcast.net> wrote:
> >
> >
> >> https://bugs.kde.org/show_bug.cgi?id=251719
> >>
> >>
> >>
> >>
> >>
> >> --- Comment #157 from Donn Washburn <n5xwb comcast net>  2011-02-09
> >> 01:41:13 ---
> >> Yes it is a openSuSE headache.  I have tried to track it via strace and
> gdb
> >> with no luck.  I have emailed openSuSE-Factory and amarok with no one
> even
> >> trying to help.  It blows up and then goes to the KDE bug reporter which
> >> states
> >> not enough info to be helpful.  It could be a KDE problem caused by
> their
> >> pulse
> >> or dbus robbing the sound.
> >>
> >> Donn Washburn
> >> n5xwb@concast.net
> >>
> >> --
> >> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> >> ------- You are receiving this mail because: -------
> >> You are on the CC list for the bug.
> >>
> >>
> >
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 161 Andreas Klafft 2011-02-09 09:58:34 UTC
Hallo Roger,

sorry for this request. Kubuntu was only a gues,  because I thought I
read this here in the list. It wasn't.

Am 09.02.2011 09:49, schrieb Roger Luedecke:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #160 from Roger Luedecke <roger luedecke gmail com>  2011-02-09 09:49:26 ---
> I had no problem with Kubuntu doing this. I have seen numerous examples of
> this in SUSE though. So I would say there is definitely a problem in SUSE.
> It would be interesting to see if the problem experienced in Kubuntu is
> related, may help target what delicate little thing is actually going wrong.
>
> On Wed, Feb 9, 2011 at 12:33 AM, Andreas Klafft
> <andreas.klafft@unitybox.de>wrote:
>
>   
>> https://bugs.kde.org/show_bug.cgi?id=251719
>>
>>
>>
>>
>>
>> --- Comment #159 from Andreas Klafft <andreas klafft unitybox de>
>>  2011-02-09 09:33:41 ---
>> Hallo Guys,
>>
>> so far I heard, this problem didn't exist wuth NV driver 259... Now is
>> to find out, what is the difference. I saw also some Kubuntus crashing.
>> It seamed to be really a heavy bug.
>>
>> Regards Andreas
>>
>>
>> Am 09.02.2011 03:09, schrieb Roger Luedecke:
>>     
>>> https://bugs.kde.org/show_bug.cgi?id=251719
>>>
>>>
>>>
>>>
>>>
>>> --- Comment #158 from Roger Luedecke <roger luedecke gmail com>
>>>       
>>  2011-02-09 03:09:11 ---
>>     
>>> It happens with more than Amarok though. I experienced it in Ktorrent,
>>>       
>> and
>>     
>>> others have had problem with the entire plasma interfface.
>>>
>>> On Tue, Feb 8, 2011 at 4:41 PM, Donn Washburn <n5xwb@comcast.net> wrote:
>>>
>>>
>>>       
>>>> https://bugs.kde.org/show_bug.cgi?id=251719
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> --- Comment #157 from Donn Washburn <n5xwb comcast net>  2011-02-09
>>>> 01:41:13 ---
>>>> Yes it is a openSuSE headache.  I have tried to track it via strace and
>>>>         
>> gdb
>>     
>>>> with no luck.  I have emailed openSuSE-Factory and amarok with no one
>>>>         
>> even
>>     
>>>> trying to help.  It blows up and then goes to the KDE bug reporter which
>>>> states
>>>> not enough info to be helpful.  It could be a KDE problem caused by
>>>>         
>> their
>>     
>>>> pulse
>>>> or dbus robbing the sound.
>>>>
>>>> Donn Washburn
>>>> n5xwb@concast.net
>>>>
>>>> --
>>>> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
>>>> ------- You are receiving this mail because: -------
>>>> You are on the CC list for the bug.
>>>>
>>>>
>>>>         
>>>       
>> --
>> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
>> ------- You are receiving this mail because: -------
>> You are on the CC list for the bug.
>>
>>     
>
Comment 162 S. Burmeister 2011-02-09 10:32:06 UTC
Since this does not seem to be a KDe bug adding comments here won't help.

Please submit the logs nvidia needs to take a look to their forum:

http://www.nvnews.net/vbulletin/showthread.php?p=2389371

Logs needed:

http://www.nvnews.net/vbulletin/showthread.php?t=46678
Comment 163 Jorge Adriano 2011-02-09 10:40:33 UTC
And comment and vote in openSUSE's bug tracker:
https://bugzilla.novell.com/show_bug.cgi?id=648718
Comment 164 Karsten König 2011-02-09 16:43:38 UTC
Could one of the amarok crashing users please start amarok with valgrind in the hopes it will show which shared library it is trying to load?
Comment 165 Jorge Adriano 2011-02-09 16:58:21 UTC
(In reply to comment #164)
> Could one of the amarok crashing users please start amarok with valgrind in the
> hopes it will show which shared library it is trying to load?

It doesn't crash when run with valgrind -v amarok. 
It also doesn't crash when run with strace amarok. 

(do you want the valgrind log anyway?)
Comment 166 Karsten König 2011-02-09 17:03:24 UTC
Ugh, but it does crash when run plainly on the command line?
Comment 167 Jorge Adriano 2011-02-09 17:07:45 UTC
(In reply to comment #166)
> Ugh, but it does crash when run plainly on the command line?

Yeap. 

There's plenty of comments here stating "strace amarok" doesn't crash. The first one is #53 I think. I've been using it as a workaround for a while. So I'm not surprised it also doesn't crash with valgrind.
Comment 168 Andreas Klafft 2011-02-09 18:11:21 UTC
The only thing which I can provide is starting:

amarok --debug

will it help you? I faced as well that there is no crashing with valgrind.

Am 09.02.2011 17:07, schrieb Jorge Adriano:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #167 from Jorge Adriano <jadrian mat uc pt>  2011-02-09 17:07:45 ---
> (In reply to comment #166)
>   
>> Ugh, but it does crash when run plainly on the command line?
>>     
> Yeap. 
>
> There's plenty of comments here stating "strace amarok" doesn't crash. The
> first one is #53 I think. I've been using it as a workaround for a while. So
> I'm not surprised it also doesn't crash with valgrind.
>
>
Comment 169 Andreas Klafft 2011-02-09 18:17:59 UTC
Hallo Again,

When I have a look at the output of the 'amarok --debug' at least there
is the following output on the terminal:

amarok:             BEGIN: Downloader::Downloader(QScriptEngine*)
amarok:             END__: Downloader::Downloader(QScriptEngine*) - Took
6.3e-05s
amarok:           END__: void ScriptManager::startScriptEngine(QString)
- Took 0.0009s
amarok:           BEGIN: bool
AmarokScript::ScriptImporter::loadQtBinding(const QString&)
amarok:              importing qt bindings  "qt.core"
*KCrash: Application 'amarok' crashing...*
sock_file=/home/andreas/.kde4/socket-linux-gb6i/kdeinit4__0

it shows me that it is during importing qt-bindings and we are back to
Nvidia.

Kind regads
Andreas


Am 09.02.2011 17:07, schrieb Jorge Adriano:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #167 from Jorge Adriano <jadrian mat uc pt>  2011-02-09 17:07:45 ---
> (In reply to comment #166)
>   
>> Ugh, but it does crash when run plainly on the command line?
>>     
> Yeap. 
>
> There's plenty of comments here stating "strace amarok" doesn't crash. The
> first one is #53 I think. I've been using it as a workaround for a while. So
> I'm not surprised it also doesn't crash with valgrind.
>
>
Comment 170 Karsten König 2011-02-09 18:51:08 UTC
(In reply to comment #167)
> (In reply to comment #166)
> > Ugh, but it does crash when run plainly on the command line?
> 
> Yeap. 
> 
> There's plenty of comments here stating "strace amarok" doesn't crash. The
> first one is #53 I think. I've been using it as a workaround for a while. So
> I'm not surprised it also doesn't crash with valgrind.

Sorry I only skimmed the reports, could someone create a complete valgrind run with amarok please (open&close) ? maybe there is some suspicious stuff going on that valgrind fixes by accident (like some flags)

btw seeing qt-bindings pop up this reminds me of something that turned up on google: http://mail.scipy.org/pipermail/numpy-discussion/2010-January/048069.html
Comment 171 Jorge Adriano 2011-02-09 19:01:32 UTC
Created attachment 57056 [details]
log for "valgrind -v amarok"
Comment 172 Christoph Feck 2011-02-09 20:41:06 UTC
*** Bug 265890 has been marked as a duplicate of this bug. ***
Comment 173 Andreas Klafft 2011-02-10 16:25:48 UTC
I do not know if this is important, but I read the help of amarok. If
you start it with this command:

amarok amarok --graphicssystem opengl

Amarok is working. This is only for those who want to use Amarok and
they don't know how to start it with the Nvidia problem.

Regards Andreas

Am 09.02.2011 18:51, schrieb Karsten König :
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #170 from Karsten König <remur gmx net>  2011-02-09 18:51:08 ---
> (In reply to comment #167)
>   
>> (In reply to comment #166)
>>     
>>> Ugh, but it does crash when run plainly on the command line?
>>>       
>> Yeap. 
>>
>> There's plenty of comments here stating "strace amarok" doesn't crash. The
>> first one is #53 I think. I've been using it as a workaround for a while. So
>> I'm not surprised it also doesn't crash with valgrind.
>>     
> Sorry I only skimmed the reports, could someone create a complete valgrind run
> with amarok please (open&close) ? maybe there is some suspicious stuff going on
> that valgrind fixes by accident (like some flags)
>
> btw seeing qt-bindings pop up this reminds me of something that turned up on
> google:
> http://mail.scipy.org/pipermail/numpy-discussion/2010-January/048069.html
>
>
Comment 174 Jorge Adriano 2011-02-10 16:30:47 UTC
(In reply to comment #173)
> I do not know if this is important, but I read the help of amarok. If
> you start it with this command:
> 
> amarok amarok --graphicssystem opengl

It crashes for me with: amarok --graphicssystem opengl
But it works with: strace amarok 


> 
> Amarok is working. This is only for those who want to use Amarok and
> they don't know how to start it with the Nvidia problem.
> 
> Regards Andreas
> 
> Am 09.02.2011 18:51, schrieb Karsten König :
> > https://bugs.kde.org/show_bug.cgi?id=251719
> >
> >
> >
> >
> >
> > --- Comment #170 from Karsten König <remur gmx net>  2011-02-09 18:51:08 ---
> > (In reply to comment #167)
> >   
> >> (In reply to comment #166)
> >>     
> >>> Ugh, but it does crash when run plainly on the command line?
> >>>       
> >> Yeap. 
> >>
> >> There's plenty of comments here stating "strace amarok" doesn't crash. The
> >> first one is #53 I think. I've been using it as a workaround for a while. So
> >> I'm not surprised it also doesn't crash with valgrind.
> >>     
> > Sorry I only skimmed the reports, could someone create a complete valgrind run
> > with amarok please (open&close) ? maybe there is some suspicious stuff going on
> > that valgrind fixes by accident (like some flags)
> >
> > btw seeing qt-bindings pop up this reminds me of something that turned up on
> > google:
> > http://mail.scipy.org/pipermail/numpy-discussion/2010-January/048069.html
> >
> >
Comment 175 Myriam Schweingruber 2011-02-10 18:33:43 UTC
*** Bug 265965 has been marked as a duplicate of this bug. ***
Comment 176 Harry-Wolfgang Nemitz 2011-02-10 19:58:51 UTC
Am Donnerstag, 10. Februar 2011, 16:30:48 schrieb Jorge Adriano:
> https://bugs.kde.org/show_bug.cgi?id=251719
> 
> 
> 
> 
> 
> --- Comment #174 from Jorge Adriano <jadrian mat uc pt>  2011-02-10
> 16:30:47 --- (In reply to comment #173)
> 
> > I do not know if this is important, but I read the help of amarok. If
> > you start it with this command:
> > 
> > amarok amarok --graphicssystem opengl
> 
> It crashes for me with: amarok --graphicssystem opengl
> But it works with: strace amarok
> 
> > Amarok is working. This is only for those who want to use Amarok and
> > they don't know how to start it with the Nvidia problem.
> > 
> > Regards Andreas
> > 
> > Am 09.02.2011 18:51, schrieb Karsten König :
> > > https://bugs.kde.org/show_bug.cgi?id=251719
> > > 
> > > 
> > > 
> > > 
> > > 
> > > --- Comment #170 from Karsten König <remur gmx net>  2011-02-09
> > > 18:51:08 --- (In reply to comment #167)
> > > 
> > >> (In reply to comment #166)
> > >> 
> > >>> Ugh, but it does crash when run plainly on the command line?
> > >> 
> > >> Yeap.
> > >> 
> > >> There's plenty of comments here stating "strace amarok" doesn't crash.
> > >> The first one is #53 I think. I've been using it as a workaround for
> > >> a while. So I'm not surprised it also doesn't crash with valgrind.
> > > 
> > > Sorry I only skimmed the reports, could someone create a complete
> > > valgrind run with amarok please (open&close) ? maybe there is some
> > > suspicious stuff going on that valgrind fixes by accident (like some
> > > flags)
> > > 
> > > btw seeing qt-bindings pop up this reminds me of something that turned
> > > up on google:
> > > http://mail.scipy.org/pipermail/numpy-discussion/2010-January/048069.ht
> > > ml

Hallo 

Hat funktioniert super danke

Mit Freundlichem Gruß aus Viersen

hwn
Comment 177 Donn Washburn 2011-02-10 21:22:46 UTC
Best suggestion anyone so far offered.   It came up with a lot of ?
I did removed all of the unneeded output which dealt with mpegs.
It ran through the boot splash and crashed and the end of this message

Beginning
KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work 
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
QGLTempContext: No GL capable X visuals available.
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::initFrom: Painter not active, aborted
QPainter::setPen: Painter not active

and

unnamed app(10327): Communication problem with  "amarok" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken." " 

and

QSocketNotifier: Invalid socket 31 and type 'Read', disabling...
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/donn/.kde4/socket-m1l-susehs/kdeinit4__0

Crash!
Comment 178 Thomas Lübking 2011-02-10 22:05:36 UTC
> Xlib:  extension "GLX" missing on display ":0"

-> you're using the nouveau or nv driver of have configured your X11 to not load the GLX extension. As a result, you cannot run even glxgears.

Also NOTICE that Qt's GpenGL graphicssystem is tagged experimental - there's no guarantee that it would or should work even if you had working GLX. (mostly works with 4.7.1 - didn't with any 4.6.x here)
Comment 179 Helder Meneses 2011-02-10 22:19:54 UTC
When this is going to stop? This is a bug from opensuse...a hard one I see...or an amateur one...

Has been 4 months from this bug appeared and still going...

Shame on you opensuse...
Comment 180 S. Burmeister 2011-02-10 22:23:35 UTC
(In reply to comment #179)
> When this is going to stop? This is a bug from opensuse...a hard one I see...or
> an amateur one...
> 
> Has been 4 months from this bug appeared and still going...
> 
> Shame on you opensuse...

Do you think that you added anything useful? Not? Well - shame on you then! Try helping to debug e.g. by trying with a vanilla kernel from openSUSE's repos or stop spamming this report with useless blaming.
Comment 181 Gerry Gavigan 2011-02-10 23:04:54 UTC
Over on bugzilla.novell.com there appears to have been a damascene moment, with reference to comment #14 here someone there has noticed a div 0 problem arising "because the enter() function gets a zero size passed" 

someone else has commented "the enter() function is in the dynamic loader, so this is [a] glibc/ld.so problem presumably, although the nvidia.so may be broken too"

Does this clue-in anyone here?
Comment 182 Helder Meneses 2011-02-11 20:09:47 UTC
Hi,

i tried to help in debug, tried vanilla kernel, tried 2.6.36 kernel from opensuse repositories, tried a lot of things...

but...

i have a computer to work, and play, and everything else, and has been almos 4 months from this bug started to appear, and this is a opensuse distro bug. A major bug that cause the computer with pci-e nvidia card to crash.

using now mandriva, and everything works...using nvidia 260 from repo with kde 4.5.5 and no login bug.

sorry if i cant say what i feel...

i-ll try to help...but only have 1 computer and it is not for testing...the things have to work...

KDE is good...very good...and the last update 4.6 feels almost there...

keep the good work...

but, this kind of problems seems a little bit amateur from opensuse compiling things up...

just an opinion...
Comment 183 Karsten König 2011-02-11 20:44:36 UTC
I can't see a reply from somebody who tried a vanilla kernel, not here nor on the novell bugreport especially not from you.
In fact you haven't replied on the novell report at all, also no debug dumps or similar were provided by you, but you seem to know pretty well that it's opensuses fault.

One of the reason stuff like this gets handled poorly is that plasma and nvidia creep up regularly when either one has a major update, so we somewhat hoped for it to just get fixed. Didn't happen yeah, bad performance on our side, true.

But don't make us look like idiots when you run a repository clearly marked unstable on a system that is important to you, also you could have just installed the 256 driver from nvidia by hand.

Seriously, I tried admitting that this looks bad on the novell report and has not beeing tackled properly, Bille is trying to get some experts from Novell on it. But just brandmarking opensuse as a buch of amateurs for a single bug that is not easy to hunt down is just poor style.
Comment 184 Helder Meneses 2011-02-11 20:54:35 UTC
Ok...
Comment 185 Jorge Adriano 2011-02-11 21:04:25 UTC
(In reply to comment #183)
> you run a repository clearly marked unstable 

I really don't want to get in the middle of this discussion. I'd just like to point out that this is not exactly the case (not for everyone anyway). 

It affects users running the 4.4 with the Updated Apps repository (see e.g., comment #141), which is clearly marked as Stable. 
http://en.opensuse.org/KDE_repositories#Stable_aka._KDS_.28KDE_SC_4.4.29

Also the repository for 4.5/4.6 (Upstream), which are severely affected -(meaning) after the update most users won't even be able to log in due to plasma crash -  are described as:
"KDE SC 4.5/4.6, in a relative predictable and safe repository. But naturally not as tested or polished as the officially supported Stable openSUSE KDE SC 4.4 packages."
http://en.opensuse.org/KDE_repositories#Upstream_release_aka._KR45_.28KDE_SC_4.5.29
http://en.opensuse.org/KDE_repositories#Upstream_release_aka._KR46_.28KDE_SC_4.6.29
Comment 186 Karsten König 2011-02-11 21:19:50 UTC
Sorry for my outburst, I didn't mean to play down the severity of the bug, but rather point out the inconsitency between this beeing a very important machine to helder and on the other hand using repositories from the obs.
The crash on the official supported 11.3 shipped 4.4 are rare but existant, that amarok crash is from the latest version of amarok (2.4.0), also not standard opensuse 11.3.

But alas, we want users to use these repos so we get advance reports for the next openSUSE release and good KDE bug coverage, so this is not meant to discourage people, but about knowing the consequences.

I suggest people who are interested on this to cc on https://bugzilla.novell.com/show_bug.cgi?id=648718
Comment 187 Valentin 2011-02-11 21:32:06 UTC
Created attachment 57168 [details]
New crash information added by DrKonqi

Crash after click on "adjust date and time" in tray and in the "system settings".
Comment 188 Valentin 2011-02-11 21:36:43 UTC
(In reply to comment #187)
> Created an attachment (id=57168) [details]
> New crash information added by DrKonqi
> 
> Crash after click on "adjust date and time" in tray and in the "system
> settings".

P.S.
nvidia drivers: 260.19.36
Comment 189 Kevin Funk 2011-02-13 23:07:44 UTC
*** Bug 266215 has been marked as a duplicate of this bug. ***
Comment 190 S. Burmeister 2011-02-23 14:24:48 UTC
If you want this issue to block 11.4 until it is resolved you will have to provide some confirmation that 11.4 32bit with he latest nvidia driver is affected and report to: https://bugzilla.novell.com/show_bug.cgi?id=648718
Comment 191 Jorge Adriano 2011-02-23 19:10:37 UTC
Quick post just to add Clementine (0.6) to the list of applications affected by this bug. Crashes with floating point exception. As usual running it with strace works.
Comment 192 Andreas Klafft 2011-02-24 19:17:02 UTC
Created attachment 57504 [details]
New crash information added by DrKonqi

After starting the control panel and using date and time adjustment the application crashed
Comment 193 phanisvara das 2011-02-27 20:41:42 UTC
i've just seen a report from a 32bit user in the novell bug tracker, saying that the latest nvidia driver solves the problem for him. i don't have any 32bit system so can't verify this myself, but others can say if this guy got lucky, or if the problem really is solved after all.

-----------------
I install new beta driver from
ftp://download.nvidia.com/XFree86/Linux-x86/270.29/ and now plasma work!
-----------------

https://bugzilla.novell.com/show_bug.cgi?id=648718#c80

--
phani.
Comment 194 Misbachul Munir 2011-02-28 03:52:08 UTC
I can confirm that it work with nvidia 270.29.

openSUSE 11.3 32 bit
KDE 4.6.0
Comment 195 axel 2011-02-28 12:27:28 UTC
Confirmed. Finally It works again. Driver Version: 270.29.
Downloadlink:  http://http.download.nvidia.com/XFree86/Linux-x86/270.29/NVIDIA-Linux-x86-270.29.run

Axel
Comment 196 Andreas Klafft 2011-02-28 12:58:39 UTC
Hallo Axel,

sounds like a very good news. When we can have the driver in the SUSE
repo? I am really affraid of compiling the kernel.

Andreas

Am 28.02.2011 12:27, schrieb axel:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #195 from axel <axel hoehle gmail com>  2011-02-28 12:27:28 ---
> Confirmed. Finally It works again. Driver Version: 270.29.
> Downloadlink: 
> http://http.download.nvidia.com/XFree86/Linux-x86/270.29/NVIDIA-Linux-x86-270.29.run
>
> Axel
>
>
Comment 197 S. Burmeister 2011-02-28 13:16:31 UTC
(In reply to comment #196)
> sounds like a very good news. When we can have the driver in the SUSE
> repo? I am really affraid of compiling the kernel.


Why would you have to compile the kernel? http://en.opensuse.org/SDB:NVIDIA_the_hard_way
Comment 198 solarisX 2011-02-28 13:53:35 UTC
(In reply to comment #195)
> Confirmed. Finally It works again. Driver Version: 270.29.
> Downloadlink: 
> http://http.download.nvidia.com/XFree86/Linux-x86/270.29/NVIDIA-Linux-x86-270.29.run

Thanks for the link! Can confirm that KDE 4.6 recurs on openSUSE 11.3 32bit with this driver.
Comment 199 jens 2011-02-28 16:38:42 UTC
Confirmed! Works now.
Comment 200 Myriam Schweingruber 2011-03-08 22:39:53 UTC
*** Bug 267915 has been marked as a duplicate of this bug. ***
Comment 201 Myriam Schweingruber 2011-03-09 13:11:22 UTC
*** Bug 267958 has been marked as a duplicate of this bug. ***
Comment 202 Myriam Schweingruber 2011-03-12 10:33:27 UTC
*** Bug 268114 has been marked as a duplicate of this bug. ***
Comment 203 christian.mahr.ulm 2011-03-12 14:46:19 UTC
Thanks. this driver fixes my amarok and  vlc issues on my opensuse 11.3. 
Christian

Am Montag 28 Februar 2011, 12:27:38 schrieb axel:
> https://bugs.kde.org/show_bug.cgi?id=251719
> 
> 
> 
> 
> 
> --- Comment #195 from axel <axel hoehle gmail com>  2011-02-28 12:27:28 ---
> Confirmed. Finally It works again. Driver Version: 270.29.
> Downloadlink:
> http://http.download.nvidia.com/XFree86/Linux-x86/270.29/NVIDIA-Linux-x86-2
> 70.29.run
> 
> Axel
Comment 204 Christoph Feck 2011-03-13 22:59:16 UTC
*** Bug 258732 has been marked as a duplicate of this bug. ***
Comment 205 Christoph Feck 2011-03-13 23:08:03 UTC
*** Bug 257857 has been marked as a duplicate of this bug. ***
Comment 206 Jose Vicente Gómez Jiménez 2011-03-19 11:48:18 UTC
Created attachment 58161 [details]
New crash information added by DrKonqi

En el momento de lanzar la aplicación, ésta muestra la pantalla inicial en la que se pueden elegir las canciones que se reprodujeron la úlitma vez pero antes de que pueda efectuar ninguna acción, amarok se cierra mostrando el mensaje de error.
Comment 207 Christoph Feck 2011-03-19 13:43:40 UTC
*** Bug 259955 has been marked as a duplicate of this bug. ***
Comment 208 Christoph Feck 2011-03-19 13:46:19 UTC
*** Bug 268276 has been marked as a duplicate of this bug. ***
Comment 209 Andreas Klafft 2011-03-21 21:24:10 UTC
Hallo All,

definately the latest Nvidia Beta driver 270.29 does the job! You will 
get it from here:

ftp://download.nvidia.com/XFree86/Linux-x86/270.29/

This solves the crashes with Amarok and as well with the VLC media 
player, which I faced as well in the last time. Don't hesitate to run 
the install script. Normally it tells you what to install additional 
(kernel-devel, etc.). It's an easy way.

Find additional info here:

http://forums.opensuse.org/english/get-technical-help-here/applications/448653-nvidia-260-19-issues-32.html
https://bugzilla.novell.com/show_bug.cgi?id=648718

Regards Andreas


Am 19.03.2011 13:46, schrieb Christoph Feck:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
> Christoph Feck<christoph@maxiom.de>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |timon@zukunft.com
>
>
>
>
> --- Comment #208 from Christoph Feck<christoph maxiom de>   2011-03-19 13:46:19 ---
> *** Bug 268276 has been marked as a duplicate of this bug. ***
>
Comment 210 Bruno Friedmann 2011-03-22 07:19:24 UTC
Andreas the latest drivers are 270.30 :-) dated from March 2

For 32bits 
ftp://download.nvidia.com/XFree86/Linux-x86/270.30/

For 64bits
ftp://download.nvidia.com/XFree86/Linux-x86_64/270.30/
(I mainly run the full one not the no32compat)
Comment 211 markuss 2011-03-22 15:24:05 UTC
Suspend no longer works with the beta driver. A new 260.xx driver version hit the repos today. No idea whether that version is affected or not, though.
Comment 212 Myriam Schweingruber 2011-03-29 08:41:31 UTC
*** Bug 269564 has been marked as a duplicate of this bug. ***
Comment 213 Myriam Schweingruber 2011-03-31 11:53:38 UTC
*** Bug 269804 has been marked as a duplicate of this bug. ***
Comment 214 Christoph Feck 2011-04-03 16:35:46 UTC
*** Bug 269995 has been marked as a duplicate of this bug. ***
Comment 215 Myriam Schweingruber 2011-04-07 14:06:33 UTC
*** Bug 270317 has been marked as a duplicate of this bug. ***
Comment 216 Christoph Feck 2011-04-08 04:12:43 UTC
*** Bug 270355 has been marked as a duplicate of this bug. ***
Comment 217 Myriam Schweingruber 2011-04-12 09:10:57 UTC
*** Bug 270724 has been marked as a duplicate of this bug. ***
Comment 218 Myriam Schweingruber 2011-04-14 12:06:40 UTC
*** Bug 270902 has been marked as a duplicate of this bug. ***
Comment 219 Christoph Feck 2011-04-20 02:02:58 UTC
*** Bug 271012 has been marked as a duplicate of this bug. ***
Comment 220 Myriam Schweingruber 2011-04-29 00:33:30 UTC
*** Bug 271948 has been marked as a duplicate of this bug. ***
Comment 221 Andreas Klafft 2011-04-30 16:35:36 UTC
Hallo Myriam and All,

so far I see, there is the aktual version 270.41.06. available in the 
Nvidia repository. This is working fine.

Kind regards

Am 29.04.2011 00:33, schrieb Myriam Schweingruber:
> https://bugs.kde.org/show_bug.cgi?id=251719
>
>
>
>
>
> --- Comment #220 from Myriam Schweingruber<myriam kde org>   2011-04-29 00:33:30 ---
> *** Bug 271948 has been marked as a duplicate of this bug. ***
>
Comment 222 Myriam Schweingruber 2011-05-01 16:12:11 UTC
*** Bug 271982 has been marked as a duplicate of this bug. ***
Comment 223 Myriam Schweingruber 2011-05-12 20:57:36 UTC
*** Bug 272978 has been marked as a duplicate of this bug. ***
Comment 224 Myriam Schweingruber 2011-05-12 20:58:11 UTC
*** Bug 272995 has been marked as a duplicate of this bug. ***
Comment 225 Myriam Schweingruber 2011-05-26 09:15:07 UTC
*** Bug 274038 has been marked as a duplicate of this bug. ***
Comment 226 Sergio M 2011-06-30 23:25:06 UTC
Created attachment 61501 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

Every time I open an mp3 file for playback.

-- Backtrace (Reduced):
#7  enter (table=0x8a63ae0, size=0, hash=722438103, name=0xb571447f "_ZNSt7collateIwE2idE", sym=0xb570a7fc, map=0xb6535550) at dl-lookup.c:318
#8  0xb77837c1 in do_lookup_x (new_hash=3177381098, old_hash=0xbfa1e678, ref=0x995a8934, result=0xbfa1e66c, scope=0x8ee7ff4, i=<value optimized out>, flags=1, skip=0x0, undef_map=0x8ee7e98) at dl-lookup.c:400
#9  0xb7783b99 in _dl_lookup_symbol_x (undef_name=0x995bc36a "_ZZN11QMetaTypeIdIP8QProcessE14qt_metatype_idEvE11metatype_id", undef_map=0x8ee7e98, ref=0xbfa1e718, symbol_scope=0x8ee8050, version=0x0, type_class=0, flags=1, skip_map=0x0) at dl-lookup.c:736
#10 0xb77854ab in elf_machine_rel (scope=0x8ee8050, reloc_mode=1, consider_profiling=0) at ../sysdeps/i386/dl-machine.h:344
#11 elf_dynamic_do_rel (scope=0x8ee8050, reloc_mode=1, consider_profiling=0) at do-rel.h:120
Comment 227 Jekyll Wu 2013-03-04 06:20:48 UTC
*** Bug 271840 has been marked as a duplicate of this bug. ***